GNU bug report logs - #6192
24.0.50; eldoc-mode: unexpected recentering

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stephen Berman <stephen.berman@HIDDEN>; merged with #14520; dated Fri, 14 May 2010 17:12:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 6192 14520. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 19:55:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 15:55:59 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE6Pu-0006oK-2p
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 15:55:58 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1OE6Ps-0006oE-37
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 15:55:56 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEAPI78UtMCpz0/2dsb2JhbACde3K9dYUQBIwv
X-IronPort-AV: E=Sophos;i="4.53,249,1272859200"; d="scan'208";a="64403090"
Received: from 76-10-156-244.dsl.teksavvy.com (HELO pastel.home)
	([76.10.156.244])
	by ironport2-out.pppoe.ca with ESMTP; 17 May 2010 15:55:51 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 6C5798064; Mon, 17 May 2010 15:55:51 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lennart Borgman <lennart.borgman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
Message-ID: <jwv632mwbiu.fsf-monnier+emacs@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
	<87d3wvzkzs.fsf@HIDDEN> <4BF106FA.7090502@HIDDEN>
	<874oi6oo6f.fsf@HIDDEN> <jwvmxvywryp.fsf-monnier+emacs@HIDDEN>
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN>
	<83iq6mbek1.fsf@HIDDEN>
	<AANLkTiktwRHBNtjDrz_trBmBSjwqjLsITG-IS3s6Evk7@HIDDEN>
	<83eihabcuo.fsf@HIDDEN>
	<AANLkTimQ2oikHEM9jgXpTTIN6FAtdAchhVR1QbTZMDDW@HIDDEN>
Date: Mon, 17 May 2010 15:55:51 -0400
In-Reply-To: <AANLkTimQ2oikHEM9jgXpTTIN6FAtdAchhVR1QbTZMDDW@HIDDEN>
	(Lennart Borgman's message of "Mon, 17 May 2010 20:49:09 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6192
Cc: Eli Zaretskii <eliz@HIDDEN>, stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

> - We could by default show messages truncated. Then we could have a an
> idle timer that after maybe 2 second showed the message wrapped.

> That would stop the annoying jumping caused by messages we still do
> not have a chance to see in the echo area because they are overwritten
> by later message (often leaving the lower line blank in the echo
> area).

That is a largely orthogonal issue (e.g. for eldoc it probably wouldn't
be a good approach).

But yes, I'd like to introduce a new kind of message that doesn't just
"display it now" but rather "display this for N seconds, but return
right away".  I.e. a form of "message" that would queue the message for
display and then a separate "thread" that would display the
messages queued.  This would avoid/solve many of the "my message was
overwritten by yours" problems.


        Stefan






Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 19:28:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 15:28:26 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE5zF-0006c5-T6
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 15:28:26 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1OE5zE-0006c0-Uc
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 15:28:25 -0400
Received: by fxm16 with SMTP id 16so3738292fxm.3
	for <6192 <at> debbugs.gnu.org>; Mon, 17 May 2010 12:28:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type;
	bh=vKlX1UhQg3NIDr/gYivenvRY3v+eqS/YAnvp6PGoZKE=;
	b=x7fpGHpD6a9VqDKTl0MlcPcQLZL1nHM+lEs10kt0qsRabnedzxVq8+RlqgmUysEJFh
	IqMJQZtXr6BDIye2T2xbLX1SCdhhkGasQ3VyIecFmKegrf8c6MwNv6xNbdi+ksbD97c/
	kQXR5d4Qj3ETiKWm+igqpH4KCHlllaZ9Juc+c=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=KQbgBpYVOx4iZd8a89L/E8yaVfor00UTskeapms1dCBxxi09aCfB43zeLn8eHUilez
	JWECpiGuy0jqRW1Mn+DQeuvHBGWsXHNEwAsqwuSV0g3wpNgg1pQLynKXkarsBvePDm5u
	LRHu+wnAm1I7Io7RwOD/dHea6Or+NI+80mKcM=
Received: by 10.239.188.202 with SMTP id q10mr602232hbh.126.1274124499141; 
	Mon, 17 May 2010 12:28:19 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.239.164.81 with HTTP; Mon, 17 May 2010 12:27:59 -0700 (PDT)
In-Reply-To: <AANLkTimQ2oikHEM9jgXpTTIN6FAtdAchhVR1QbTZMDDW@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <87d3wvzkzs.fsf@HIDDEN> 
	<4BF106FA.7090502@HIDDEN> <874oi6oo6f.fsf@HIDDEN>
	<jwvmxvywryp.fsf-monnier+emacs@HIDDEN> 
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN> 
	<83iq6mbek1.fsf@HIDDEN>
	<AANLkTiktwRHBNtjDrz_trBmBSjwqjLsITG-IS3s6Evk7@HIDDEN> 
	<83eihabcuo.fsf@HIDDEN>
	<AANLkTimQ2oikHEM9jgXpTTIN6FAtdAchhVR1QbTZMDDW@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 17 May 2010 21:27:59 +0200
Message-ID: <AANLkTil1smjWu-URO06gsWZoMiWLoAKvnArS4T1L8bCr@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

>> In general, my advice to people who are annoyed by recentering to set
>> resize-mini-windows to nil (among other things).

Why is not that a custom option?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 18:49:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 14:49:36 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE5Ng-0006KF-Hp
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 14:49:36 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1OE5Ne-0006KA-8O
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 14:49:34 -0400
Received: by fxm16 with SMTP id 16so3697038fxm.3
	for <6192 <at> debbugs.gnu.org>; Mon, 17 May 2010 11:49:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=ZS/aKU5vN5XXqZNnA1FJS5L9X7t+ds0pvb7o6EIsQ0I=;
	b=fcFf0bcTKeHGHiM2Lb+7k2mGisUSaMwC9dgO/Yt7ZeegRr6+YS7VgtZvqcG1VodatP
	W4J9yzgIMf4VdCRKEPVfiqerU5WtVqq78sMr04A4odHjC+eQn1lbuZpeV2bQHSrP/13y
	4ELCvEWo2sebxOOaokY2+rugiv0aFtPtFvnzI=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=JlAEbBWe+T94bC7w2DnYip1c1uaS096Ksr3E/lNsQjGPu5z8OTiMEpt3Krl55a60PJ
	6tChfquBhPA7wPxKLfOahVO7Hv03ukPsl61E2G1WUZBzt0DEnOFzyGlIysby5K0kXFZx
	42kN2jxfFSbJP/KVu/sJZ6XXf3Czg+x1pn/3g=
Received: by 10.239.166.10 with SMTP id z10mr555141hbd.114.1274122169158; Mon, 
	17 May 2010 11:49:29 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.239.164.81 with HTTP; Mon, 17 May 2010 11:49:09 -0700 (PDT)
In-Reply-To: <83eihabcuo.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <4BF03E92.40909@HIDDEN> 
	<87d3wvzkzs.fsf@HIDDEN> <4BF106FA.7090502@HIDDEN>
	<874oi6oo6f.fsf@HIDDEN> 
	<jwvmxvywryp.fsf-monnier+emacs@HIDDEN>
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN> 
	<83iq6mbek1.fsf@HIDDEN>
	<AANLkTiktwRHBNtjDrz_trBmBSjwqjLsITG-IS3s6Evk7@HIDDEN> 
	<83eihabcuo.fsf@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 17 May 2010 20:49:09 +0200
Message-ID: <AANLkTimQ2oikHEM9jgXpTTIN6FAtdAchhVR1QbTZMDDW@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On Mon, May 17, 2010 at 8:30 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>>
>> Would it be possible to try 1 line scrolling first, then 2 etc?
>
> Maybe we could, but that would be slow, I think. =C2=A0Don't forget that
> there could be more than one window affected by resizing. =C2=A0And since
> redisplay in general works on each window independently, tieing
> together redispay of the echo area and the windows above the mode line
> would be a complication. =C2=A0Is it really worth that?


Maybe not. Here is another suggestion:

- We could by default show messages truncated. Then we could have a an
idle timer that after maybe 2 second showed the message wrapped.

That would stop the annoying jumping caused by messages we still do
not have a chance to see in the echo area because they are overwritten
by later message (often leaving the lower line blank in the echo
area).


> Also, note that scrolling only by the minimum amount will cause
> annoying jumpy display if some command repeatedly displays messages of
> different length in the echo area.


The above suggestion would take care of that too.


> Recentering once avoids that to a
> large degree, because it more often than not will scroll just once.


Recentering go away! ;-)


> In general, my advice to people who are annoyed by recentering to set
> resize-mini-windows to nil (among other things).


Maybe that is enough, but it could be combined with my suggestion above.


> But if someone wants to work on a redisplay optimization that would
> favor such scrolling, feel free.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 18:30:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 14:30:39 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE55K-0006B6-OZ
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 14:30:38 -0400
Received: from mtaout22.012.net.il ([80.179.55.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1OE55A-0006Az-3Z
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 14:30:37 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0L2K00300TYTZ200@HIDDEN> for
	6192 <at> debbugs.gnu.org; Mon, 17 May 2010 21:30:06 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.197.161]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2K003MEU23YY00@HIDDEN>;
	Mon, 17 May 2010 21:30:05 +0300 (IDT)
Date: Mon, 17 May 2010 21:30:07 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <AANLkTiktwRHBNtjDrz_trBmBSjwqjLsITG-IS3s6Evk7@HIDDEN>
To: Lennart Borgman <lennart.borgman@HIDDEN>
Message-id: <83eihabcuo.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: QUOTED-PRINTABLE
X-012-Sender: halo1@HIDDEN
References: <878w7mjtml.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN>
	<87hbm8yoyp.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
	<87d3wvzkzs.fsf@HIDDEN> <4BF106FA.7090502@HIDDEN>
	<874oi6oo6f.fsf@HIDDEN>
	<jwvmxvywryp.fsf-monnier+emacs@HIDDEN>
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN>
	<83iq6mbek1.fsf@HIDDEN>
	<AANLkTiktwRHBNtjDrz_trBmBSjwqjLsITG-IS3s6Evk7@HIDDEN>
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

> From: Lennart Borgman <lennart.borgman@HIDDEN>
> Date: Mon, 17 May 2010 20:02:22 +0200
> Cc: monnier@HIDDEN, stephen.berman@HIDDEN, 6192@debbugs.=
gnu.org
>=20
> On Mon, May 17, 2010 at 7:53 PM, Eli Zaretskii <eliz@HIDDEN> wrote=
:
> >
> > When Emacs recenters, that means it exhausted all the other avail=
able
> > redisplay optimizations, and fell back on its default method of
> > completely redrawing a window.
> >
> > What you want is an optimization that does not yet exist, AFAIK. =
=C2=A0It
> > needs to be designed and coded. =C2=A0The tricky part is to detec=
t the
> > situation where the amount of scrolling can be easily computed in
> > advance, and do that computation without too many complications. =
=C2=A0You
> > seem to think that this computation is easy, but that is only tru=
e
> > when the display shows characters of the same size everywhere. =
=C2=A0In the
> > more general case, what do we do? still recenter?
>=20
>=20
> Would it be possible to try 1 line scrolling first, then 2 etc?

Maybe we could, but that would be slow, I think.  Don't forget that
there could be more than one window affected by resizing.  And since
redisplay in general works on each window independently, tieing
together redispay of the echo area and the windows above the mode lin=
e
would be a complication.  Is it really worth that?

Also, note that scrolling only by the minimum amount will cause
annoying jumpy display if some command repeatedly displays messages o=
f
different length in the echo area.  Recentering once avoids that to a
large degree, because it more often than not will scroll just once.

In general, my advice to people who are annoyed by recentering to set
resize-mini-windows to nil (among other things).

But if someone wants to work on a redisplay optimization that would
favor such scrolling, feel free.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 18:02:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 14:02:49 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE4eP-0005yj-86
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 14:02:49 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1OE4eN-0005yc-Ls
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 14:02:48 -0400
Received: by fxm16 with SMTP id 16so3647362fxm.3
	for <6192 <at> debbugs.gnu.org>; Mon, 17 May 2010 11:02:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=FQmZkgNHQwPN18gi//WISt+Yg2QacBgPDaeuoKrarew=;
	b=hAG4reDM3s6BpKEQgbZ9iUwJJd8lu5o/1adWQiMp2XmQ8d9WjCFp41h4GV1S2coUrd
	Pt6UNuTHVSRT8xc7/fzJCvGJIGMqoE0TwOrOJz97Ido/8QLULjnudrGrC4ESxwzvmOYH
	iNTeRoSQs8Fn7GdZOn9m5RtIg583WWwh+Nz60=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=XR1hXSm0ft9nlDObxsXKcpuStqAy4fw+cLTi8nyiMBD7u4GwvWWGKK2ynNEgiJfhaw
	QXVPEu1kYIyyt8yFBafpaKuQYvvC0PF3yb+vY7U2AjzSELB47bGeS/QccoJejJxthruw
	2ENbA5ZXISTEhsdeasVdzfTpmEeKIuLgP3g1A=
Received: by 10.239.173.205 with SMTP id g13mr531047hbf.145.1274119362140; 
	Mon, 17 May 2010 11:02:42 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.239.164.81 with HTTP; Mon, 17 May 2010 11:02:22 -0700 (PDT)
In-Reply-To: <83iq6mbek1.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN> 
	<87hbm8yoyp.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
	<87d3wvzkzs.fsf@HIDDEN> 
	<4BF106FA.7090502@HIDDEN> <874oi6oo6f.fsf@HIDDEN>
	<jwvmxvywryp.fsf-monnier+emacs@HIDDEN> 
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN> 
	<83iq6mbek1.fsf@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 17 May 2010 20:02:22 +0200
Message-ID: <AANLkTiktwRHBNtjDrz_trBmBSjwqjLsITG-IS3s6Evk7@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On Mon, May 17, 2010 at 7:53 PM, Eli Zaretskii <eliz@HIDDEN> wrote:
>
> When Emacs recenters, that means it exhausted all the other available
> redisplay optimizations, and fell back on its default method of
> completely redrawing a window.
>
> What you want is an optimization that does not yet exist, AFAIK. =C2=A0It
> needs to be designed and coded. =C2=A0The tricky part is to detect the
> situation where the amount of scrolling can be easily computed in
> advance, and do that computation without too many complications. =C2=A0Yo=
u
> seem to think that this computation is easy, but that is only true
> when the display shows characters of the same size everywhere. =C2=A0In t=
he
> more general case, what do we do? still recenter?


Would it be possible to try 1 line scrolling first, then 2 etc? Or is
there something in the code that prevents that?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 17:53:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 13:53:25 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE4VI-0005uD-Hw
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 13:53:24 -0400
Received: from mtaout21.012.net.il ([80.179.55.169])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1OE4VF-0005u8-Dm
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 13:53:22 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0L2K00900S0BU400@HIDDEN> for
	6192 <at> debbugs.gnu.org; Mon, 17 May 2010 20:53:15 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.197.161]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2K005JBSCQ21C0@HIDDEN>;
	Mon, 17 May 2010 20:53:15 +0300 (IDT)
Date: Mon, 17 May 2010 20:53:18 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Lennart Borgman <lennart.borgman@HIDDEN>
Message-id: <83iq6mbek1.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <4BEFAA20.9000301@HIDDEN>
	<87ljbkyvjm.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN>
	<87hbm8yoyp.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
	<87d3wvzkzs.fsf@HIDDEN> <4BF106FA.7090502@HIDDEN>
	<874oi6oo6f.fsf@HIDDEN>
	<jwvmxvywryp.fsf-monnier+emacs@HIDDEN>
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

> From: Lennart Borgman <lennart.borgman@HIDDEN>
> Date: Mon, 17 May 2010 16:43:09 +0200
> Cc: Stephen Berman <stephen.berman@HIDDEN>, 6192 <at> debbugs.gnu.org
> 
> I don't think recentering is the right thing to do in this case. It is
> too surprising. Just scroll one line if needed.

When Emacs recenters, that means it exhausted all the other available
redisplay optimizations, and fell back on its default method of
completely redrawing a window.

What you want is an optimization that does not yet exist, AFAIK.  It
needs to be designed and coded.  The tricky part is to detect the
situation where the amount of scrolling can be easily computed in
advance, and do that computation without too many complications.  You
seem to think that this computation is easy, but that is only true
when the display shows characters of the same size everywhere.  In the
more general case, what do we do? still recenter?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 16:39:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 12:39:39 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE3Lv-0005MO-Cb
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 12:39:39 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1OE3Lu-0005MI-AB
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 12:39:38 -0400
Received: by fxm16 with SMTP id 16so3558219fxm.3
	for <6192 <at> debbugs.gnu.org>; Mon, 17 May 2010 09:39:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type;
	bh=an2G+e4MclpFYldZ/w6wKKf6kSkGkbw76toFvYhD+v4=;
	b=aIh0TfCQd7d+O834IsC/vyjm3LyrpYq6GZQgVgfWNHuCIo7m4z97XIM5f3kXC++GT/
	GQgU2LWxJT3pfdnlX9mQ0WsUjD8rL7FVbHqUtcAZwzRIDaRgZKlrnohwlHjZkZXzBcjn
	Ab4VbTsiLMRR/QkymDYa8s3QtNCZIUKsrfVCI=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=GdRfJ/fUbQ1vBPrpGecpRXCafmOSR3SrwJ6Y2HyB51+0TPNOf9sg0MptIvGX7lfCj1
	OzqDDc8shgSkogbwrc2YRR3PqPWnr4Eh42mExG0BMsFQ63o2gGcek2zKz22TBEDVJsGf
	5zwDClXLWvlK3A/bV/MmJlgc1o6+KP3oQpaNE=
Received: by 10.204.36.208 with SMTP id u16mr118115bkd.168.1274114372505; Mon, 
	17 May 2010 09:39:32 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.204.74.70 with HTTP; Mon, 17 May 2010 09:39:01 -0700 (PDT)
In-Reply-To: <AANLkTilt8s3b9IpPk8RU7F6gg8k_ToWrl7IWcAm42-fp@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <87hbm8yoyp.fsf@HIDDEN> 
	<4BF03E92.40909@HIDDEN> <87d3wvzkzs.fsf@HIDDEN>
	<4BF106FA.7090502@HIDDEN> 
	<874oi6oo6f.fsf@HIDDEN> <jwvmxvywryp.fsf-monnier+emacs@HIDDEN> 
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN> 
	<AANLkTimhp8bPQca6l1nM6hvNamT1JW0DOmHlZVkK4_7P@HIDDEN> 
	<AANLkTilt8s3b9IpPk8RU7F6gg8k_ToWrl7IWcAm42-fp@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 17 May 2010 18:39:01 +0200
Message-ID: <AANLkTikZYjD_TJw8Fyyb1b25EkrvoAavHFgd6b7FMSat@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: Lennart Borgman <lennart.borgman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6192
Cc: Stephen Berman <stephen.berman@HIDDEN>, 6192 <at> debbugs.gnu.org,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On Mon, May 17, 2010 at 18:33, Lennart Borgman
<lennart.borgman@HIDDEN> wrote:

> Because I thought minibuffer could only be two lines .. ;-)

Ah.

No.

    Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 16:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 12:34:05 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE3GX-0005IQ-3n
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 12:34:05 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1OE3GU-0005I4-Ne
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 12:34:03 -0400
Received: by fxm16 with SMTP id 16so3552167fxm.3
	for <6192 <at> debbugs.gnu.org>; Mon, 17 May 2010 09:33:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type;
	bh=gcFCMSBzuAp2xLPGWovq55HAFbYuzKyVcjMfaRTAaRc=;
	b=BoTohH6BWGwqHvVuF0spcWVhVVD3722j+Vs0ZnZ3y+wbao55y4GjJOJVVH3l7iDK38
	iXkNw+5hiSlwqwunT627VMDpUt8XBW/qbGe0THgBKqui9DufEaM+u2YJfOYj7gv8Y0DQ
	FwXHHYj3V9wp670aiAxxVMVopiiVm7dS8vNNs=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=cBLpxWepiAAx32fKITGiHMXF9dJi4abJuoXr5KCBZfMtMgMaaTQnAwk5NW7eKr8vCw
	wF5a6JBuqI5P7J5lAy1TFwR2PeWN/68sts8BAjFY+1nd4RxTjXIem8QCMJRmGfyOrCHq
	DrnklLF8nOqfsgQwAc6UqnIQV3QvUCh39FtV4=
Received: by 10.239.137.209 with SMTP id m17mr521406hbm.32.1274114037437; Mon, 
	17 May 2010 09:33:57 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.239.164.81 with HTTP; Mon, 17 May 2010 09:33:37 -0700 (PDT)
In-Reply-To: <AANLkTimhp8bPQca6l1nM6hvNamT1JW0DOmHlZVkK4_7P@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN> 
	<87hbm8yoyp.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
	<87d3wvzkzs.fsf@HIDDEN> 
	<4BF106FA.7090502@HIDDEN> <874oi6oo6f.fsf@HIDDEN>
	<jwvmxvywryp.fsf-monnier+emacs@HIDDEN> 
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN> 
	<AANLkTimhp8bPQca6l1nM6hvNamT1JW0DOmHlZVkK4_7P@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 17 May 2010 18:33:37 +0200
Message-ID: <AANLkTilt8s3b9IpPk8RU7F6gg8k_ToWrl7IWcAm42-fp@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: Juanma Barranquero <lekktu@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 6192
Cc: Stephen Berman <stephen.berman@HIDDEN>, 6192 <at> debbugs.gnu.org,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On Mon, May 17, 2010 at 6:23 PM, Juanma Barranquero <lekktu@HIDDEN> wrote:
> On Mon, May 17, 2010 at 16:43, Lennart Borgman
> <lennart.borgman@HIDDEN> wrote:
>
>> I don't think recentering is the right thing to do in this case.
>
> (IMHO recentering is never the right thing to do, but I digress...)
>
>> It is too surprising. Just scroll one line if needed.
>
> Why "one"?


Because I thought minibuffer could only be two lines .. ;-)




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 16:24:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 12:24:03 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE36p-0005Di-F4
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 12:24:03 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1OE36n-0005DL-CA
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 12:24:01 -0400
Received: by fxm16 with SMTP id 16so3541321fxm.3
	for <6192 <at> debbugs.gnu.org>; Mon, 17 May 2010 09:23:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type;
	bh=9WFwTWUHWrqxB4JE5/riJUblMycXlDebWFAoXnQTj7Y=;
	b=oQHcSFRhVwZiSsitSnEn4ipwGDSkyzD8kO378wvBt/67z6idRClxdvQa/EGvrR1MQX
	ga7L4/pYdDg8S3zMviPePgIvej4w6GMNWRYvcFcOqN98iZnBnfMSJVBad2vHdHLAMlZQ
	9nrMPQ9RIHohppO3rX77HRWC71/jqbjEBXlAc=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=EEuOeUifpJv+Ih0ZUVGV8Q1p0kgx7v+YSTcfTGK0zeNY95+xSEoDg/BeYY7XQk2lht
	lA9IU8c6IQniuBIBNeMgeT7KSDL5RNae6XiO/Ze6DRalPfP+6xTBaPW127ZdbUriE0pa
	FFOKyGLIx53Vsw4jhrwo2AUV2QzBEHHtUkRe4=
Received: by 10.204.34.195 with SMTP id m3mr16987bkd.190.1274113436011; Mon, 
	17 May 2010 09:23:56 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.204.74.70 with HTTP; Mon, 17 May 2010 09:23:25 -0700 (PDT)
In-Reply-To: <AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <87ljbkyvjm.fsf@HIDDEN> 
	<4BEFE6A4.2020207@HIDDEN> <87hbm8yoyp.fsf@HIDDEN>
	<4BF03E92.40909@HIDDEN> 
	<87d3wvzkzs.fsf@HIDDEN> <4BF106FA.7090502@HIDDEN>
	<874oi6oo6f.fsf@HIDDEN> 
	<jwvmxvywryp.fsf-monnier+emacs@HIDDEN>
	<AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 17 May 2010 18:23:25 +0200
Message-ID: <AANLkTimhp8bPQca6l1nM6hvNamT1JW0DOmHlZVkK4_7P@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: Lennart Borgman <lennart.borgman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6192
Cc: Stephen Berman <stephen.berman@HIDDEN>, 6192 <at> debbugs.gnu.org,
	Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On Mon, May 17, 2010 at 16:43, Lennart Borgman
<lennart.borgman@HIDDEN> wrote:

> I don't think recentering is the right thing to do in this case.

(IMHO recentering is never the right thing to do, but I digress...)

> It is too surprising. Just scroll one line if needed.

Why "one"?

    Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 14:43:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 10:43:38 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE1Xd-0004Uy-EJ
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 10:43:37 -0400
Received: from mail-ew0-f221.google.com ([209.85.219.221])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lennart.borgman@HIDDEN>) id 1OE1Xa-0004Ut-Ot
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 10:43:35 -0400
Received: by ewy21 with SMTP id 21so1290580ewy.5
	for <6192 <at> debbugs.gnu.org>; Mon, 17 May 2010 07:43:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=fkPFsqprm4owIM6v+N677wMKAZ0EiAInbuk4tNc69AU=;
	b=ebTr4+8KIfLScHbB6t/NW3AylufImQndB7dW6gg6SZ9l2HLP407XX35xNEVbNAmTgU
	0We813xAbS+0sxJEWXkSKOeVwwzhnfWtut0VyJuW6CnMEFQzE76bQAiWd7b3bTXK16ye
	K9HQ58/GVeTWpef3e6Qth74pGGpjpUDiAKJH0=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=xORdKDisY2CLSVUI/4ZLPIr5r+pmEN7IjS7pIerYZnz1YDg406qcwnFfvqoiVJxxxe
	JMREW81aL0rEevGnkQ5uPKGikkKgWs33uew48tzBMXKik00sosJT68U5aPtotPFX30W0
	KNv4xQBKVKr7nPOm6kMzjOsfLTjn16OZzxHLE=
Received: by 10.239.182.2 with SMTP id o2mr480673hbg.51.1274107409149; Mon, 17 
	May 2010 07:43:29 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.239.164.81 with HTTP; Mon, 17 May 2010 07:43:09 -0700 (PDT)
In-Reply-To: <jwvmxvywryp.fsf-monnier+emacs@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <4BEFAA20.9000301@HIDDEN> 
	<87ljbkyvjm.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN>
	<87hbm8yoyp.fsf@HIDDEN> 
	<4BF03E92.40909@HIDDEN> <87d3wvzkzs.fsf@HIDDEN>
	<4BF106FA.7090502@HIDDEN> 
	<874oi6oo6f.fsf@HIDDEN> <jwvmxvywryp.fsf-monnier+emacs@HIDDEN>
From: Lennart Borgman <lennart.borgman@HIDDEN>
Date: Mon, 17 May 2010 16:43:09 +0200
Message-ID: <AANLkTin9l3uvvhRgp_Ee-BWYPPEPnWFEAI5SNaTZbAzY@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.9 (--)
X-Debbugs-Envelope-To: 6192
Cc: Stephen Berman <stephen.berman@HIDDEN>, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.9 (--)

On Mon, May 17, 2010 at 4:08 PM, Stefan Monnier
<monnier@HIDDEN> wrote:
>
> - minibuffer auto-resize can trigger an undesirable recentering.
> =C2=A0I'm not sure we can do much about that, tho, since it seems to only
> =C2=A0occur in cases where the resizing ends up "eating" the area used by
> =C2=A0point, so some scrolling is necessary.

I don't think recentering is the right thing to do in this case. It is
too surprising. Just scroll one line if needed.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 14:08:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 10:08:57 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OE105-0004Dz-0f
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 10:08:57 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>) id 1OE103-0004Du-Pm
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 10:08:56 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AvsEANrq8EtMCpz0/2dsb2JhbACdf3K8W4UQBIwv
X-IronPort-AV: E=Sophos;i="4.53,247,1272859200"; d="scan'208";a="64360479"
Received: from 76-10-156-244.dsl.teksavvy.com (HELO pastel.home)
	([76.10.156.244])
	by ironport2-out.pppoe.ca with ESMTP; 17 May 2010 10:08:50 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id DC7698064; Mon, 17 May 2010 10:08:49 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
Message-ID: <jwvmxvywryp.fsf-monnier+emacs@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<87d3ww96g2.fsf@HIDDEN> <4BEFAA20.9000301@HIDDEN>
	<87ljbkyvjm.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN>
	<87hbm8yoyp.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
	<87d3wvzkzs.fsf@HIDDEN> <4BF106FA.7090502@HIDDEN>
	<874oi6oo6f.fsf@HIDDEN>
Date: Mon, 17 May 2010 10:08:49 -0400
In-Reply-To: <874oi6oo6f.fsf@HIDDEN> (Stephen Berman's message of "Mon,
	17 May 2010 11:47:04 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 6192
Cc: martin rudalics <rudalics@HIDDEN>, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

> In short, this bug now boils down to this: the echo area resizes with
> certain fonts (including DejaVu Sans Mono) when it displays a message
> that includes bold face.  Whether this is a bug in Emacs or the
> problematic fonts, I don't know.

To summarize this long thread, IIUC we have three separate problems:
- in some cases, a minibuffer message with bold text causes
  unexpected/unneeded minibuffer resizing.  Most likely those fonts
  somehow end up with a height just a tiny pixel taller.  Maybe we
  should change the minibuffer resizing such that it only resizes if the
  extra height needed is more than some threshold number of pixels (1
  or 2).
- eldoc can cause undesired minibuffer resizing.  That can probably still
  happen even when we fix the previous problem, depending on face
  settings and/or length of eldoc data.  So maybe eldoc should come with
  a config var for how many max lines of echo-area we're willing to
  devote to it.  If set to 1 it will prevent any resizing and fix the
  OP's problem regardless of whether the previous problem is fixed.
- minibuffer auto-resize can trigger an undesirable recentering.
  I'm not sure we can do much about that, tho, since it seems to only
  occur in cases where the resizing ends up "eating" the area used by
  point, so some scrolling is necessary.


        Stefan




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 10:32:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 06:32:04 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODxcB-00029g-Su
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 06:32:04 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODxc8-00029K-23
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 06:32:01 -0400
Received: (qmail invoked by alias); 17 May 2010 10:31:52 -0000
Received: from i59F56286.versanet.de (EHLO escher.home) [89.245.98.134]
	by mail.gmx.net (mp055) with SMTP; 17 May 2010 12:31:52 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX18Z86QH1+8Zoy5tQE9Jdcf0+KrEm/1gM4+3/3NIOX
	UzxEbREJFFnyK9
Received: by escher.home (Postfix, from userid 1000)
	id 4953410337; Mon, 17 May 2010 12:31:52 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <87d3ww96g2.fsf@HIDDEN>
	<4BEFAA20.9000301@HIDDEN> <87ljbkyvjm.fsf@HIDDEN>
	<4BEFE6A4.2020207@HIDDEN> <87hbm8yoyp.fsf@HIDDEN>
	<4BF03E92.40909@HIDDEN> <87d3wvzkzs.fsf@HIDDEN>
	<4BF106FA.7090502@HIDDEN> <874oi6oo6f.fsf@HIDDEN>
	<AANLkTikJ7zMm3yXQGXMc7xcsnEKJgGibUsVzv0NwrUe_@HIDDEN>
Date: Mon, 17 May 2010 12:31:52 +0200
In-Reply-To: <AANLkTikJ7zMm3yXQGXMc7xcsnEKJgGibUsVzv0NwrUe_@HIDDEN>
	(Juanma Barranquero's message of "Mon, 17 May 2010 12:21:50 +0200")
Message-ID: <87zkzyn7jb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 6192
Cc: martin rudalics <rudalics@HIDDEN>, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

On Mon, 17 May 2010 12:21:50 +0200 Juanma Barranquero <lekktu@HIDDEN> wr=
ote:

> On Mon, May 17, 2010 at 11:47, Stephen Berman <stephen.berman@HIDDEN> wr=
ote:
>
>> In short, this bug now boils down to this: the echo area resizes with
>> certain fonts (including DejaVu Sans Mono) when it displays a message
>> that includes bold face. =C2=A0Whether this is a bug in Emacs or the
>> problematic fonts, I don't know.
>>
>> Do you (or Eli or some other Windows user) have DejaVu Sans Mono, and if
>> so, do you see the resizing when you use it?
>
> With
>
>   emacs -Q -fn "DejaVu Sans Mono-10"
>   C-y    ; to paste   (message (propertize "test" 'face 'bold))
>   C-j
>
> I see the message "test", but no resizing.

Ok, then Windows seems to be immune to this bug.  Is it only a GTK+
problem, or can anyone confirm it on a non-Windows platform with a
non-GTK+ toolkit?  (When I have time, I'll try building without GTK+,
but maybe someone can chime in before then.)

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 10:22:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 06:22:45 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODxTA-00023s-WC
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 06:22:45 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1ODxT9-00023n-GR
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 06:22:44 -0400
Received: by fxm16 with SMTP id 16so3153001fxm.3
	for <6192 <at> debbugs.gnu.org>; Mon, 17 May 2010 03:22:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type
	:content-transfer-encoding;
	bh=edP33PI9RL1iv6b/I5F+WvC0OZBRZbbARakaswcS7SQ=;
	b=XFFr8bCjw+JuLOfK+s/veMv1EqON+k7RWgYKEYXg9HHfcGojEp16yqyTxCqk5zknAZ
	d9wzbb/tptsH7Sh0/CuYKYKqy3jkPCi3XynU24Df97ufYBYa5yVNcf7Grf4xVxota028
	X7MEnmmxqSgsaFX5Xz6WtnmjOXl9oOr6yNXSM=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type:content-transfer-encoding;
	b=EtTiutbsPXcQXQk9WKMRuZZ7IoJZJ7VJbShV8zAtMAkjdDUbN982RNkFJr/8HRDaJB
	uULA+74yJXoylLXpCx46d7i2zaeokpTvSq24xCzR3l15cQaYO90unKOrPMCEDfPh6iSx
	/b3xZ5lhEytzxAy8KxgFrEWVCnRD7dhdcSAVc=
Received: by 10.204.73.165 with SMTP id q37mr1594bkj.100.1274091760214; Mon, 
	17 May 2010 03:22:40 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.204.74.70 with HTTP; Mon, 17 May 2010 03:21:50 -0700 (PDT)
In-Reply-To: <874oi6oo6f.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <87d3ww96g2.fsf@HIDDEN> 
	<4BEFAA20.9000301@HIDDEN> <87ljbkyvjm.fsf@HIDDEN>
	<4BEFE6A4.2020207@HIDDEN> 
	<87hbm8yoyp.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
	<87d3wvzkzs.fsf@HIDDEN> 
	<4BF106FA.7090502@HIDDEN> <874oi6oo6f.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Mon, 17 May 2010 12:21:50 +0200
Message-ID: <AANLkTikJ7zMm3yXQGXMc7xcsnEKJgGibUsVzv0NwrUe_@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: Stephen Berman <stephen.berman@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6192
Cc: martin rudalics <rudalics@HIDDEN>, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On Mon, May 17, 2010 at 11:47, Stephen Berman <stephen.berman@HIDDEN> wrot=
e:

> In short, this bug now boils down to this: the echo area resizes with
> certain fonts (including DejaVu Sans Mono) when it displays a message
> that includes bold face. =C2=A0Whether this is a bug in Emacs or the
> problematic fonts, I don't know.
>
> Do you (or Eli or some other Windows user) have DejaVu Sans Mono, and if
> so, do you see the resizing when you use it?

With

  emacs -Q -fn "DejaVu Sans Mono-10"
  C-y    ; to paste   (message (propertize "test" 'face 'bold))
  C-j

I see the message "test", but no resizing.

    Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 09:47:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 05:47:12 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODwum-0001pC-E7
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 05:47:12 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODwuj-0001p5-L2
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 05:47:12 -0400
Received: (qmail invoked by alias); 17 May 2010 09:47:05 -0000
Received: from i59F56286.versanet.de (EHLO escher.home) [89.245.98.134]
	by mail.gmx.net (mp051) with SMTP; 17 May 2010 11:47:05 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX19aJ4IADEBa+xIHD/A1z3bt/zYmNnzuUrroJPL3fH
	nF+chzcdbm7vBJ
Received: by escher.home (Postfix, from userid 1000)
	id 233E310337; Mon, 17 May 2010 11:47:05 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<87d3ww96g2.fsf@HIDDEN> <4BEFAA20.9000301@HIDDEN>
	<87ljbkyvjm.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN>
	<87hbm8yoyp.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
	<87d3wvzkzs.fsf@HIDDEN> <4BF106FA.7090502@HIDDEN>
Date: Mon, 17 May 2010 11:47:04 +0200
In-Reply-To: <4BF106FA.7090502@HIDDEN> (martin rudalics's message of "Mon, 17
	May 2010 11:06:02 +0200")
Message-ID: <874oi6oo6f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

On Mon, 17 May 2010 11:06:02 +0200 martin rudalics <rudalics@HIDDEN> wrote:

>> I still have no idea why there's the .emacs/-Q asymmetry.
>
> Maybe the effect of loading .emacs vs running Emacs with -Q?  Did you
> ever try with a .emacs containing something unrelated and/or putting
> the (add-hook ...) in the command invoking Emacs?

It turns out that there is no .emacs/-Q asymmetry.  As I reported in my
previous post, I found out that the resizing only happens with (at
least) three monospaced fonts on my system, including "my default font"
DejaVu Sans Mono.  What I meant is that this is the font I standardly
use when running Emacs, which I set in my init file.  But when I start
with -Q, Emacs uses the font Andale Mono, which is similar enough to
DejaVu Sans Mono that I (not having the sharpest eyesight) neglected to
take that difference into account.  I did so now, starting Emacs with
-Q, changing the font (via the Options menu item Set Default Font) to
DejaVu Sans Mono, visiting abbrev.el, enabling Eldoc mode (via M-x
eldoc-mode), scrolled to the bottom, typed M-v, and observed the echo
area resize when it displayed the Eldoc message (and point was
recentered).

Moreover, as I also mentioned previously, this is independent of Eldoc
mode, since evalling (message (propertize "test" 'face 'bold)) in
*scratch* (with eldoc-mode not enabled) also induces echo area resizing
(with the problematic font).

In short, this bug now boils down to this: the echo area resizes with
certain fonts (including DejaVu Sans Mono) when it displays a message
that includes bold face.  Whether this is a bug in Emacs or the
problematic fonts, I don't know.

Do you (or Eli or some other Windows user) have DejaVu Sans Mono, and if
so, do you see the resizing when you use it?

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 17 May 2010 09:06:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 17 05:06:12 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODwH6-0001YA-2l
	for submit <at> debbugs.gnu.org; Mon, 17 May 2010 05:06:12 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODwH3-0001Y4-4I
	for 6192 <at> debbugs.gnu.org; Mon, 17 May 2010 05:06:10 -0400
Received: (qmail invoked by alias); 17 May 2010 09:06:05 -0000
Received: from 62-47-51-246.adsl.highway.telekom.at (EHLO [62.47.51.246])
	[62.47.51.246]
	by mail.gmx.net (mp048) with SMTP; 17 May 2010 11:06:05 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX18YG/gmwOQYQ+cSX93Vhv27IAoJ2bSlzHwLpz8B10
	HufjUk2IbKMKDt
Message-ID: <4BF106FA.7090502@HIDDEN>
Date: Mon, 17 May 2010 11:06:02 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN>
	<83tyqa2nyn.fsf@HIDDEN>	<87wrv6i2ft.fsf@HIDDEN>
	<837hn5fz7c.fsf@HIDDEN>	<87wrv5897x.fsf@HIDDEN>
	<4BEED16D.2090305@HIDDEN>	<87ocgh84b6.fsf@HIDDEN>
	<4BEEEFB6.7060106@HIDDEN>	<87d3ww96g2.fsf@HIDDEN>
	<4BEFAA20.9000301@HIDDEN>	<87ljbkyvjm.fsf@HIDDEN>
	<4BEFE6A4.2020207@HIDDEN>	<87hbm8yoyp.fsf@HIDDEN>
	<4BF03E92.40909@HIDDEN> <87d3wvzkzs.fsf@HIDDEN>
In-Reply-To: <87d3wvzkzs.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

 > This is on Windows, right?

Right.

 > I still have no idea why there's the .emacs/-Q asymmetry.

Maybe the effect of loading .emacs vs running Emacs with -Q?  Did you
ever try with a .emacs containing something unrelated and/or putting
the (add-hook ...) in the command invoking Emacs?

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 19:48:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 16 15:48:19 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODjox-0004d9-4E
	for submit <at> debbugs.gnu.org; Sun, 16 May 2010 15:48:19 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODjou-0004d2-Mh
	for 6192 <at> debbugs.gnu.org; Sun, 16 May 2010 15:48:17 -0400
Received: (qmail invoked by alias); 16 May 2010 19:48:11 -0000
Received: from i59F5466B.versanet.de (EHLO escher.home) [89.245.70.107]
	by mail.gmx.net (mp050) with SMTP; 16 May 2010 21:48:11 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX19F2Zc5VjRFaXFeqYCPIbKau06F5Sfc5XMs1ESvzc
	b19LZeMSYYS3Gp
Received: by escher.home (Postfix, from userid 1000)
	id C6D5310397; Sun, 16 May 2010 21:48:07 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<87d3ww96g2.fsf@HIDDEN> <4BEFAA20.9000301@HIDDEN>
	<87ljbkyvjm.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN>
	<87hbm8yoyp.fsf@HIDDEN> <4BF03E92.40909@HIDDEN>
Date: Sun, 16 May 2010 21:48:07 +0200
In-Reply-To: <4BF03E92.40909@HIDDEN> (martin rudalics's message of "Sun, 16
	May 2010 20:50:58 +0200")
Message-ID: <87d3wvzkzs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

On Sun, 16 May 2010 20:50:58 +0200 martin rudalics <rudalics@HIDDEN> wrote:

> Anyway.  With a trunk built on April 19th of this year I cannot
> reproduce any echo area resizing neither (a) with (add-hook ...) in my
> .emacs, (b) with (add-hook ...) evaluated in Emacs -Q before opening an
> .el file, and (c) with (turn-on-eldoc-mode) evaluated after opening an
> .el file.  As with Eli here the echo area doesn't resize any more.

This is on Windows, right?  Since I recollected that you run Emacs on
Windows, it surprised me when you reported seeing the resizing, although
Eli had reported not seeing it on Windows.  So I guess it's good that
there is no discrepancy between you after all.  As I suggested to Eli,
maybe it's a GTK+ issue (but see below).

>> No, the Eldoc message is shown with faces and the echo area is resized
>> (because the argument face is bold).  Eldoc mode sets the faces via
>> propertize, which evidently is not affected by font-locking.
>
> There's an `add-text-properties' in `eldoc-highlight-function-argument'.
>
> BTW did you check how customizing `eldoc-echo-area-use-multiline-p' fits
> into this?

That makes no difference: with each of the three possible values, I get
the resizing.

However, it occurred to me that the font could make a difference -- and
lo and behold, it does: I tried most if not all monospaced fonts on my
system (via the set default font menu), and saw the echo area resize
only with these (the first being my default font):

DejaVu Sans Mono
Luxi Mono
Nimbus Mono L

With all other fonts I tried, there was no resizing even though the
argument face was bold.

I still have no idea why there's the .emacs/-Q asymmetry.

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 18:51:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 16 14:51:15 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODivi-0004Cw-Lq
	for submit <at> debbugs.gnu.org; Sun, 16 May 2010 14:51:15 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODivf-0004Cp-6n
	for 6192 <at> debbugs.gnu.org; Sun, 16 May 2010 14:51:12 -0400
Received: (qmail invoked by alias); 16 May 2010 18:51:05 -0000
Received: from 62-47-34-225.adsl.highway.telekom.at (EHLO [62.47.34.225])
	[62.47.34.225]
	by mail.gmx.net (mp054) with SMTP; 16 May 2010 20:51:05 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Nfjc7DMaN1gMrUZMZnKbl9+DUUNGQnxSLJ5dRzi
	TEGz/qiFdThCfa
Message-ID: <4BF03E92.40909@HIDDEN>
Date: Sun, 16 May 2010 20:50:58 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN>
	<83tyqa2nyn.fsf@HIDDEN>	<87wrv6i2ft.fsf@HIDDEN>
	<837hn5fz7c.fsf@HIDDEN>	<87wrv5897x.fsf@HIDDEN>
	<4BEED16D.2090305@HIDDEN>	<87ocgh84b6.fsf@HIDDEN>
	<4BEEEFB6.7060106@HIDDEN>	<87d3ww96g2.fsf@HIDDEN>
	<4BEFAA20.9000301@HIDDEN>	<87ljbkyvjm.fsf@HIDDEN>
	<4BEFE6A4.2020207@HIDDEN> <87hbm8yoyp.fsf@HIDDEN>
In-Reply-To: <87hbm8yoyp.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

 > I still not sure I understand.  When you wrote:
 >
 >    > I have tried the trunk with -Q now and can't trigger the resizing any
 >    > more, neither with a hook nor when setting it manually.
 >
 > I took you to mean you started with -Q, evalled (add-hook
 > 'emacs-lisp-mode-hook 'turn-on-eldoc-mode), visited an elisp file and
 > then did not observe the echo area resizing (and consequent
 > recentering).  When I do that I not see resizing; I only (and always)
 > observe the resizing when (add-hook 'emacs-lisp-mode-hook
 > 'turn-on-eldoc-mode) is in .emacs and Emacs starts with this.  Are you
 > now saying you don't (now) see resizing in the latter case?

That's what I'm saying, yes.  I've been nagged by the bug some two years
ago.  At that time I had the add-hook in my .emacs and never tried with
Emacs -Q or anything else.  I apparently considered the possibility that
the bug had something to do with my other customizations.  I then also
literally replaced the line

	      argument-face 'font-lock-warning-face

with

  	      argument-face 'font-lock-string-face

(I know that because I still have this commented out in my .emacs.  The
fact that it's commented out means that eventually something must have
changed so that I didn't need it any more but I wasn't very sure about
that change.  Sadly, I have forgotten all about this.  I also found a
face `eldoc-highlight-unsupplied-argument' customized in my .emacs and
now cannot tell what it has been used for.)

Anyway.  With a trunk built on April 19th of this year I cannot
reproduce any echo area resizing neither (a) with (add-hook ...) in my
.emacs, (b) with (add-hook ...) evaluated in Emacs -Q before opening an
.el file, and (c) with (turn-on-eldoc-mode) evaluated after opening an
.el file.  As with Eli here the echo area doesn't resize any more.

 > No, the Eldoc message is shown with faces and the echo area is resized
 > (because the argument face is bold).  Eldoc mode sets the faces via
 > propertize, which evidently is not affected by font-locking.

There's an `add-text-properties' in `eldoc-highlight-function-argument'.

BTW did you check how customizing `eldoc-echo-area-use-multiline-p' fits
into this?

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 17:15:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 16 13:15:22 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODhQv-0003XX-HS
	for submit <at> debbugs.gnu.org; Sun, 16 May 2010 13:15:21 -0400
Received: from mtaout21.012.net.il ([80.179.55.169])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1ODhQt-0003XO-K9
	for 6192 <at> debbugs.gnu.org; Sun, 16 May 2010 13:15:20 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0L2I00500VRSDO00@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sun, 16 May 2010 20:14:52 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.127.19.54]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2I0010XVWRDLC0@HIDDEN>;
	Sun, 16 May 2010 20:14:52 +0300 (IDT)
Date: Sun, 16 May 2010 20:14:53 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <4BEFAA38.8070603@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: martin rudalics <rudalics@HIDDEN>
Message-id: <83mxvzepki.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <83y6fldsi1.fsf@HIDDEN>
	<87pr0x84bj.fsf@HIDDEN> <83wrv5dq8v.fsf@HIDDEN>
	<87eihc96gm.fsf@HIDDEN> <4BEF25C1.9040507@HIDDEN>
	<83r5lcee8p.fsf@HIDDEN> <4BEFAA38.8070603@HIDDEN>
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.0 (--)

> Date: Sun, 16 May 2010 10:18:00 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
> 
>  >>  >> Do you see a change if you customize resize-mini-windows to t?
>  >>  >
>  >>  > No, the echo area still expands to two lines.
>  >>
>  >> "A value of t means resize them to fit the text displayed in them."  Not
>  >> very different from grow-only in the case at hand ;-)
>  >
>  > It's very different in how Emacs shrinks them back.
> 
> So far Stephen was concerned with the expanding step only.  But any
> difference between `grow-only' and t should have an impact iff the
> height of the minibuffer changes from some value `old' to some value
> `new' where 1 < new < old.  IIUC `eldoc-mode' never shrinks the echo
> area back to some value > 1.

At the time I asked that question, I thought that perhaps some
previous message enlarged the echo area, only to be replaced quickly
by the shorter message that Stephen was reporting.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 13:07:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 16 09:07:54 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODdZR-0001JL-Ot
	for submit <at> debbugs.gnu.org; Sun, 16 May 2010 09:07:54 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODdZO-0001JF-IO
	for 6192 <at> debbugs.gnu.org; Sun, 16 May 2010 09:07:51 -0400
Received: (qmail invoked by alias); 16 May 2010 13:07:44 -0000
Received: from i59F5466B.versanet.de (EHLO escher.home) [89.245.70.107]
	by mail.gmx.net (mp031) with SMTP; 16 May 2010 15:07:44 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX18nEGtHfwQn0NY991T7ySVVf701iKvWMSK7tgxZ+S
	brPePjAYTE/0I0
Received: by escher.home (Postfix, from userid 1000)
	id 2F7E9102D7; Sun, 16 May 2010 15:07:43 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<87d3ww96g2.fsf@HIDDEN> <4BEFAA20.9000301@HIDDEN>
	<87ljbkyvjm.fsf@HIDDEN> <4BEFE6A4.2020207@HIDDEN>
Date: Sun, 16 May 2010 15:07:42 +0200
In-Reply-To: <4BEFE6A4.2020207@HIDDEN> (martin rudalics's message of "Sun, 16
	May 2010 14:35:48 +0200")
Message-ID: <87hbm8yoyp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

On Sun, 16 May 2010 14:35:48 +0200 martin rudalics <rudalics@HIDDEN> wrote:

>> It's not that the bug is no longer reliably reproducible; rather, you do
>> confirm my observation that the resizing happens iff eldoc-mode is
>> enabled in the user init file.
>
> No, I can't confirm that: At the time I observed the problem for the
> first time, I always only tried it by enabling eldoc-mode in a hook.
> Currently, I simply can't reproduce it neither by running eldoc-mode in
> a hook nor by enabling it manually.

I still not sure I understand.  When you wrote:

   > I have tried the trunk with -Q now and can't trigger the resizing any
   > more, neither with a hook nor when setting it manually.

I took you to mean you started with -Q, evalled (add-hook
'emacs-lisp-mode-hook 'turn-on-eldoc-mode), visited an elisp file and
then did not observe the echo area resizing (and consequent
recentering).  When I do that I not see resizing; I only (and always)
observe the resizing when (add-hook 'emacs-lisp-mode-hook
'turn-on-eldoc-mode) is in .emacs and Emacs starts with this.  Are you
now saying you don't (now) see resizing in the latter case?

>> So what difference between running a
>> hook there and running it later could lead to the bug?
>
> Good question.  Especially because the hook should be the last thing you
> run when activating emacs-lisp-mode.  Does anything change when you
> disable font-locking?

No, the Eldoc message is shown with faces and the echo area is resized
(because the argument face is bold).  Eldoc mode sets the faces via
propertize, which evidently is not affected by font-locking.

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 12:36:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 16 08:36:00 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODd4Z-00014J-OT
	for submit <at> debbugs.gnu.org; Sun, 16 May 2010 08:35:59 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODd4W-00014E-L2
	for 6192 <at> debbugs.gnu.org; Sun, 16 May 2010 08:35:58 -0400
Received: (qmail invoked by alias); 16 May 2010 12:35:49 -0000
Received: from 62-47-35-144.adsl.highway.telekom.at (EHLO [62.47.35.144])
	[62.47.35.144]
	by mail.gmx.net (mp011) with SMTP; 16 May 2010 14:35:49 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+Uq5FgiGaUo1JjYV1kFg/MN9w19jaPZ47I2nUbNv
	lCCRXRK9UA6wGr
Message-ID: <4BEFE6A4.2020207@HIDDEN>
Date: Sun, 16 May 2010 14:35:48 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN>
	<83tyqa2nyn.fsf@HIDDEN>	<87wrv6i2ft.fsf@HIDDEN>
	<837hn5fz7c.fsf@HIDDEN>	<87wrv5897x.fsf@HIDDEN>
	<4BEED16D.2090305@HIDDEN>	<87ocgh84b6.fsf@HIDDEN>
	<4BEEEFB6.7060106@HIDDEN>	<87d3ww96g2.fsf@HIDDEN>
	<4BEFAA20.9000301@HIDDEN> <87ljbkyvjm.fsf@HIDDEN>
In-Reply-To: <87ljbkyvjm.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

 > It's not that the bug is no longer reliably reproducible; rather, you do
 > confirm my observation that the resizing happens iff eldoc-mode is
 > enabled in the user init file.

No, I can't confirm that: At the time I observed the problem for the
first time, I always only tried it by enabling eldoc-mode in a hook.
Currently, I simply can't reproduce it neither by running eldoc-mode in
a hook nor by enabling it manually.

 > So what difference between running a
 > hook there and running it later could lead to the bug?

Good question.  Especially because the hook should be the last thing you
run when activating emacs-lisp-mode.  Does anything change when you
disable font-locking?

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 10:45:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 16 06:45:46 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODbLu-00083v-13
	for submit <at> debbugs.gnu.org; Sun, 16 May 2010 06:45:46 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODbLr-00083p-28
	for 6192 <at> debbugs.gnu.org; Sun, 16 May 2010 06:45:44 -0400
Received: (qmail invoked by alias); 16 May 2010 10:45:37 -0000
Received: from i59F5466B.versanet.de (EHLO escher.home) [89.245.70.107]
	by mail.gmx.net (mp003) with SMTP; 16 May 2010 12:45:37 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX18GuIICpHMG9FdKmHDJim8QpIOGZjWQHnYhNjoAhy
	b5J35nNXr1HyUh
Received: by escher.home (Postfix, from userid 1000)
	id 96A39103D6; Sun, 16 May 2010 12:45:33 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<87d3ww96g2.fsf@HIDDEN> <4BEFAA20.9000301@HIDDEN>
Date: Sun, 16 May 2010 12:45:33 +0200
In-Reply-To: <4BEFAA20.9000301@HIDDEN> (martin rudalics's message of "Sun, 16
	May 2010 10:17:36 +0200")
Message-ID: <87ljbkyvjm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.0 (---)

On Sun, 16 May 2010 10:17:36 +0200 martin rudalics <rudalics@HIDDEN> wrote:

>> Of course; so can you confirm that you do not see the resizing with -Q
>> and then enabling eldoc mode?
>
> I have tried the trunk with -Q now and can't trigger the resizing any
                                                                    ^^^
> more, neither with a hook nor when setting it manually.
  ^^^^

It's not that the bug is no longer reliably reproducible; rather, you do
confirm my observation that the resizing happens iff eldoc-mode is
enabled in the user init file.  So what difference between running a
hook there and running it later could lead to the bug?

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 08:18:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 16 04:18:11 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODZ35-0006wO-DV
	for submit <at> debbugs.gnu.org; Sun, 16 May 2010 04:18:11 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODZ33-0006wG-2r
	for 6192 <at> debbugs.gnu.org; Sun, 16 May 2010 04:18:09 -0400
Received: (qmail invoked by alias); 16 May 2010 08:18:09 -0000
Received: from 62-47-35-144.adsl.highway.telekom.at (EHLO [62.47.35.144])
	[62.47.35.144]
	by mail.gmx.net (mp044) with SMTP; 16 May 2010 10:18:09 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1882hIj1EM8+ryBPcx++1lQUtrFD3w11H92tbwS1G
	Y3LSWujTt3u4gq
Message-ID: <4BEFAA38.8070603@HIDDEN>
Date: Sun, 16 May 2010 10:18:00 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <83y6fldsi1.fsf@HIDDEN>
	<87pr0x84bj.fsf@HIDDEN> <83wrv5dq8v.fsf@HIDDEN>
	<87eihc96gm.fsf@HIDDEN> <4BEF25C1.9040507@HIDDEN>
	<83r5lcee8p.fsf@HIDDEN>
In-Reply-To: <83r5lcee8p.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

 >>  >> Do you see a change if you customize resize-mini-windows to t?
 >>  >
 >>  > No, the echo area still expands to two lines.
 >>
 >> "A value of t means resize them to fit the text displayed in them."  Not
 >> very different from grow-only in the case at hand ;-)
 >
 > It's very different in how Emacs shrinks them back.

So far Stephen was concerned with the expanding step only.  But any
difference between `grow-only' and t should have an impact iff the
height of the minibuffer changes from some value `old' to some value
`new' where 1 < new < old.  IIUC `eldoc-mode' never shrinks the echo
area back to some value > 1.

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 08:17:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 16 04:17:46 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODZ2f-0006vp-Tm
	for submit <at> debbugs.gnu.org; Sun, 16 May 2010 04:17:46 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODZ2d-0006vi-AA
	for 6192 <at> debbugs.gnu.org; Sun, 16 May 2010 04:17:44 -0400
Received: (qmail invoked by alias); 16 May 2010 08:17:42 -0000
Received: from 62-47-35-144.adsl.highway.telekom.at (EHLO [62.47.35.144])
	[62.47.35.144]
	by mail.gmx.net (mp018) with SMTP; 16 May 2010 10:17:42 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/5PHYkvVz5bJp5anLn3w69s7siS13mv6UFnBDbmk
	G+Z7UDQfXUkW0E
Message-ID: <4BEFAA20.9000301@HIDDEN>
Date: Sun, 16 May 2010 10:17:36 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN>
	<83tyqa2nyn.fsf@HIDDEN>	<87wrv6i2ft.fsf@HIDDEN>
	<837hn5fz7c.fsf@HIDDEN>	<87wrv5897x.fsf@HIDDEN>
	<4BEED16D.2090305@HIDDEN>	<87ocgh84b6.fsf@HIDDEN>
	<4BEEEFB6.7060106@HIDDEN> <87d3ww96g2.fsf@HIDDEN>
In-Reply-To: <87d3ww96g2.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

 > Of course; so can you confirm that you do not see the resizing with -Q
 > and then enabling eldoc mode?

I have tried the trunk with -Q now and can't trigger the resizing any
more, neither with a hook nor when setting it manually.  So AFAIAC this
is a Heisenbug.

 > I'm not sure what you mean by "old situation"; if you mean does the
 > recentered line revert to the penultimate line, then no, there is no
 > change when the echo area returns to one line.

Unfortunately, that is to be expected.  Gerd's minibuffer code only
restores window heights and top lines but neither start positions nor
points.  I here rewrote the code in the meantime but don't restore start
positions and points either.  Maybe shrink_mini_window should be done by
simply restoring the window configuration that existed before resizing
the minibuffer started, but I'm not sure.

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 16 May 2010 03:07:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 23:07:20 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODUCF-00051X-Tk
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 23:07:20 -0400
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1ODUCD-00051S-Dp
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 23:07:18 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0L2H00B00S8VBD00@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sun, 16 May 2010 06:07:17 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.84.217]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2H007CRSO5VKJ0@HIDDEN>;
	Sun, 16 May 2010 06:07:17 +0300 (IDT)
Date: Sun, 16 May 2010 06:07:18 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <4BEF25C1.9040507@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: martin rudalics <rudalics@HIDDEN>
Message-id: <83r5lcee8p.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <83y6fldsi1.fsf@HIDDEN>
	<87pr0x84bj.fsf@HIDDEN> <83wrv5dq8v.fsf@HIDDEN>
	<87eihc96gm.fsf@HIDDEN> <4BEF25C1.9040507@HIDDEN>
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

> Date: Sun, 16 May 2010 00:52:49 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: Eli Zaretskii <eliz@HIDDEN>, 6192 <at> debbugs.gnu.org
> 
>  >> Do you see a change if you customize resize-mini-windows to t?
>  >
>  > No, the echo area still expands to two lines.
> 
> "A value of t means resize them to fit the text displayed in them."  Not
> very different from grow-only in the case at hand ;-)

It's very different in how Emacs shrinks them back.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 22:53:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 18:53:46 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODQEs-0003M8-3Q
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 18:53:46 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODQEq-0003M1-6A
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 18:53:44 -0400
Received: (qmail invoked by alias); 15 May 2010 22:53:43 -0000
Received: from 62-47-37-76.adsl.highway.telekom.at (EHLO [62.47.37.76])
	[62.47.37.76]
	by mail.gmx.net (mp004) with SMTP; 16 May 2010 00:53:43 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+WXOhmgmOWAFjaeoR0mYTWp85z9l4J18qgmlPch5
	uBEbKv3qjWuyI1
Message-ID: <4BEF25F1.3010100@HIDDEN>
Date: Sun, 16 May 2010 00:53:37 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN>
	<83tyqa2nyn.fsf@HIDDEN>	<87wrv6i2ft.fsf@HIDDEN>
	<837hn5fz7c.fsf@HIDDEN>	<87wrv5897x.fsf@HIDDEN>
	<4BEED16D.2090305@HIDDEN>	<87ocgh84b6.fsf@HIDDEN>
	<4BEEEFB6.7060106@HIDDEN> <87d3ww96g2.fsf@HIDDEN>
In-Reply-To: <87d3ww96g2.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.5 (--)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

 > Of course; so can you confirm that you do not see the resizing with -Q
 > and then enabling eldoc mode?

I have to look a bit harder.  My Emacsen are a complete mess these days.

 > I'm not sure what you mean by "old situation"; if you mean does the
 > recentered line revert to the penultimate line, then no, there is no
 > change when the echo area returns to one line.

Looks like a real pain.  ISTR that Gerd has put some sort of window
excursion around minibuffer resizing.  I've not been using his code for
quite some time so I can't really tell at the moment ...

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 22:53:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 18:53:01 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODQE9-0003La-It
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 18:53:01 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODQE7-0003LS-LE
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 18:53:00 -0400
Received: (qmail invoked by alias); 15 May 2010 22:52:59 -0000
Received: from 62-47-37-76.adsl.highway.telekom.at (EHLO [62.47.37.76])
	[62.47.37.76]
	by mail.gmx.net (mp060) with SMTP; 16 May 2010 00:52:59 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/5kpgFZvT56vl9JuJSrWsdbhJV53xetchzvqgnIr
	lhE8bRUp8av9KB
Message-ID: <4BEF25C1.9040507@HIDDEN>
Date: Sun, 16 May 2010 00:52:49 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN>
	<83tyqa2nyn.fsf@HIDDEN>	<87wrv6i2ft.fsf@HIDDEN>
	<837hn5fz7c.fsf@HIDDEN>	<87wrv5897x.fsf@HIDDEN>
	<83y6fldsi1.fsf@HIDDEN>	<87pr0x84bj.fsf@HIDDEN>
	<83wrv5dq8v.fsf@HIDDEN> <87eihc96gm.fsf@HIDDEN>
In-Reply-To: <87eihc96gm.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 6192
Cc: Eli Zaretskii <eliz@HIDDEN>, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.5 (--)

 >> Do you see a change if you customize resize-mini-windows to t?
 >
 > No, the echo area still expands to two lines.

"A value of t means resize them to fit the text displayed in them."  Not
very different from grow-only in the case at hand ;-)

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 22:52:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 18:52:27 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODQDb-0003LI-0D
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 18:52:27 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODQDY-0003LC-DS
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 18:52:24 -0400
Received: (qmail invoked by alias); 15 May 2010 22:52:24 -0000
Received: from 62-47-37-76.adsl.highway.telekom.at (EHLO [62.47.37.76])
	[62.47.37.76]
	by mail.gmx.net (mp051) with SMTP; 16 May 2010 00:52:24 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/JpccjpyfJWYh/3/RPxEly8fFPsRIhnpp/7ltUhb
	PvZSHB08mEli6c
Message-ID: <4BEF259F.7000805@HIDDEN>
Date: Sun, 16 May 2010 00:52:15 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<83vdaoewz5.fsf@HIDDEN> <4BEF0862.9020303@HIDDEN>
	<83sk5seul0.fsf@HIDDEN>
In-Reply-To: <83sk5seul0.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

 > Recenter is what Emacs does by default when point goes out of screen.

Fortunately this can be customized.

martin





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 22:51:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 18:51:57 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODQD6-0003Kk-Fr
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 18:51:56 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODQD3-0003Kf-V2
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 18:51:55 -0400
Received: (qmail invoked by alias); 15 May 2010 22:51:53 -0000
Received: from 62-47-37-76.adsl.highway.telekom.at (EHLO [62.47.37.76])
	[62.47.37.76]
	by mail.gmx.net (mp019) with SMTP; 16 May 2010 00:51:53 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+P4oAzvE2PyvD8QqGuuh9g47TKWmIWxmhpcbKO+R
	NGH6Sojuz+Lsof
Message-ID: <4BEF257F.50208@HIDDEN>
Date: Sun, 16 May 2010 00:51:43 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<83vdaoewz5.fsf@HIDDEN> <4BEF0862.9020303@HIDDEN>
	<AANLkTilYX3SGVO2CRLYsJl1S2KlooFTJiiLvtyfEPybD@HIDDEN>
In-Reply-To: <AANLkTilYX3SGVO2CRLYsJl1S2KlooFTJiiLvtyfEPybD@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 6192
Cc: Eli Zaretskii <eliz@HIDDEN>, stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

 >> Well, `point' should never be that near to the bottom line either.
 >
 > ???

I know, I know ;-) What I meant was that users should be able to
set `scroll-margin' to 2 or 3 without suffering any retaliations.

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 22:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 18:10:20 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODPYq-00033w-3P
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 18:10:20 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODPYo-00033r-0N
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 18:10:19 -0400
Received: (qmail invoked by alias); 15 May 2010 22:10:17 -0000
Received: from i59F5762F.versanet.de (EHLO escher.home) [89.245.118.47]
	by mail.gmx.net (mp060) with SMTP; 16 May 2010 00:10:17 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+fXMtb/GifAEHEPm210LJDaOPqmnp4uagpCPNNVy
	BNQ46z9nHxRNlX
Received: by escher.home (Postfix, from userid 1000)
	id 1165710279; Sat, 15 May 2010 23:54:38 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
Date: Sat, 15 May 2010 23:54:37 +0200
In-Reply-To: <4BEEEFB6.7060106@HIDDEN> (martin rudalics's message of "Sat, 15
	May 2010 21:02:14 +0200")
Message-ID: <87d3ww96g2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Sat, 15 May 2010 21:02:14 +0200 martin rudalics <rudalics@HIDDEN> wrote:

>> Did you also have eldoc-mode enabled in your .emacs file (I only get the
>> two line echo area in that case)?
>
> I always had - how else can you do it?  

Of course; so can you confirm that you do not see the resizing with -Q
and then enabling eldoc mode?

>                                         But the problems only started
> after the series of changes following the release of Emacs 22.  I was
> mainly annoyed by the continuous resizing of the echo area, especially
> when eldoc tries to analyze doc-strings or comments.  So I first wrote
> some workaround until I found out that customizing the faces suffices.
>
> Meanwhile I show eldoc-strings either in the header-line, a separate
> window, or in a tooltip - but none of them work satisfactorily :-(
>
> Anyway: The recentering is a misbehavior which should not occur.  Does
> Emacs restore the old situation when the echo area sizes back?

I'm not sure what you mean by "old situation"; if you mean does the
recentered line revert to the penultimate line, then no, there is no
change when the echo area returns to one line.

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 21:54:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 17:54:21 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODPJM-0002xH-OG
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 17:54:21 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODPJK-0002x9-3u
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 17:54:19 -0400
Received: (qmail invoked by alias); 15 May 2010 21:54:17 -0000
Received: from i59F5762F.versanet.de (EHLO escher.home) [89.245.118.47]
	by mail.gmx.net (mp063) with SMTP; 15 May 2010 23:54:17 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX18bUWRhPMIbKXwswexPN16T+x0oE4L+s159rIvFlu
	6pM/xHeZUWDPIm
Received: by escher.home (Postfix, from userid 1000)
	id 0374B10279; Sat, 15 May 2010 23:54:17 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <83y6fldsi1.fsf@HIDDEN>
	<87pr0x84bj.fsf@HIDDEN> <83wrv5dq8v.fsf@HIDDEN>
Date: Sat, 15 May 2010 23:54:17 +0200
In-Reply-To: <83wrv5dq8v.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 May
	2010 20:33:20 +0300")
Message-ID: <87eihc96gm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Sat, 15 May 2010 20:33:20 +0300 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: 6192 <at> debbugs.gnu.org
>> Date: Sat, 15 May 2010 19:25:52 +0200
>> 
>> > No, that cannot be it.  The properties should be completely evaluated
>> > and converted to appropriate faces, by the time the message is
>> > displayed.  What gets displayed is just "let: (VARLIST BODY...)", and
>> > unless you have some strange fonts installed, I don't see how this can
>> > require more than one line of the echo area.
>> 
>> It's the bold face, as Martin observed; see my followup to his reply.
>
> If it's the bold face, then I see no bug here.

Surely there's some bug (though maybe not in Emacs) if the behavior
differs between platforms, no?

> Do you see a change if you customize resize-mini-windows to t?

No, the echo area still expands to two lines.

>> Yes, why does bold face do it
>
> Maybe it has some character that is too large for a single line?

I don't think so: when I start Emacs with -Q (i.e. no eldoc-mode) and in
*scratch* eval this sexp:

(message (propertize "BODY" 'face 'bold))

then I see the string "BODY" in bold face in the echo area, i.e. the
same bold string as in the Eldoc message -- but now the echo area stays
at a height of one line.

>> (and again, why only when eldoc-mode is enabled in .emacs)?
>
> No clue.

Pity.

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 21:14:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 17:14:22 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODOgg-0002h7-DK
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 17:14:22 -0400
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1ODOgd-0002h1-G4
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 17:14:20 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0L2H00M00C2ZZ800@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sun, 16 May 2010 00:14:19 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.84.217]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2H00KWMCBUKU80@HIDDEN>;
	Sun, 16 May 2010 00:14:19 +0300 (IDT)
Date: Sun, 16 May 2010 00:14:19 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <4BEF0862.9020303@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: martin rudalics <rudalics@HIDDEN>
Message-id: <83sk5seul0.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<83vdaoewz5.fsf@HIDDEN> <4BEF0862.9020303@HIDDEN>
X-Spam-Score: -2.2 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

> Date: Sat, 15 May 2010 22:47:30 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
> 
>  >> Anyway: The recentering is a misbehavior which should not occur.
>  >
>  > Why not?  What would you expect it to do instead?
> 
> If there's another window, resize that first.

There wasn't, in the case in point.

> Else move the window start position down by one line.  Recentering
> is too drastic.

Recenter is what Emacs does by default when point goes out of screen.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 21:04:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 17:04:33 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODOXA-0002d6-W3
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 17:04:33 -0400
Received: from mail-fx0-f44.google.com ([209.85.161.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <lekktu@HIDDEN>) id 1ODOX9-0002cw-7B
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 17:04:31 -0400
Received: by fxm16 with SMTP id 16so2081351fxm.3
	for <6192 <at> debbugs.gnu.org>; Sat, 15 May 2010 14:04:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:mime-version:received:in-reply-to
	:references:from:date:message-id:subject:to:cc:content-type;
	bh=6Um5rDsJOqT2Wxsc3i7aeh5nmrNlWVSzuOqDB1MRNog=;
	b=pBll8GLnxQddc0ORAQqeNg7pptFbYnegIOpNGHZIYh4kn+y36hug0pfaXAU0IvOok5
	voUecR58Ps84zg/ABfNDetGD3i0waPklFJVzxZeUF/K2E/hI0smd6IQTBGCW0cQ0q07P
	4EF2MB+YH09aFMCjwaBXp2fEEsswU/om6BrZk=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	b=HPy0x6AZJt6j8TSriYinRAqgmtP67/gE1uTHCjhDtoYY4fhJI31AzAsMrJRBXK89AA
	jtPziHc+h4AT3vayibkpH3VAuQdKZ+Lz0VmI+IGi288P8UT8SwTjhBmMP+oQ1j/svtMa
	iyO/jHmFSL63oktg2u3E2KfvtE6CrJ8WLGeLo=
Received: by 10.204.135.211 with SMTP id o19mr25460bkt.98.1273957471334; Sat, 
	15 May 2010 14:04:31 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.204.74.70 with HTTP; Sat, 15 May 2010 14:04:11 -0700 (PDT)
In-Reply-To: <4BEF0862.9020303@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN> 
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> 
	<4BEED16D.2090305@HIDDEN> <87ocgh84b6.fsf@HIDDEN>
	<4BEEEFB6.7060106@HIDDEN> 
	<83vdaoewz5.fsf@HIDDEN> <4BEF0862.9020303@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Sat, 15 May 2010 23:04:11 +0200
Message-ID: <AANLkTilYX3SGVO2CRLYsJl1S2KlooFTJiiLvtyfEPybD@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6192
Cc: Eli Zaretskii <eliz@HIDDEN>, stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

On Sat, May 15, 2010 at 22:47, martin rudalics <rudalics@HIDDEN> wrote:

> Well, `point' should never be that near to the bottom line either.

???

    Juanma




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 20:47:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 16:47:40 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODOGq-0002Vp-Ot
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 16:47:40 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODOGo-0002Vj-A1
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 16:47:39 -0400
Received: (qmail invoked by alias); 15 May 2010 20:47:38 -0000
Received: from 62-47-43-51.adsl.highway.telekom.at (EHLO [62.47.43.51])
	[62.47.43.51]
	by mail.gmx.net (mp017) with SMTP; 15 May 2010 22:47:38 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/0KDxV0fL0/J5qA6ByzUEID/Dj4aAbd6/+IaWzg4
	md9+tShr1Po/8y
Message-ID: <4BEF0862.9020303@HIDDEN>
Date: Sat, 15 May 2010 22:47:30 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
	<83vdaoewz5.fsf@HIDDEN>
In-Reply-To: <83vdaoewz5.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

 >> Anyway: The recentering is a misbehavior which should not occur.
 >
 > Why not?  What would you expect it to do instead?

If there's another window, resize that first.  Else move the window
start position down by one line.  Recentering is too drastic.  Well,
`point' should never be that near to the bottom line either.

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 20:22:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 16:22:53 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODNsr-0002Jb-CA
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 16:22:53 -0400
Received: from mtaout23.012.net.il ([80.179.55.175])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1ODNso-0002JV-Ng
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 16:22:52 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0L2H008009W9TU00@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sat, 15 May 2010 23:22:42 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.84.217]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2H0081C9XOMJ10@HIDDEN>;
	Sat, 15 May 2010 23:22:37 +0300 (IDT)
Date: Sat, 15 May 2010 23:22:38 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <4BEEEFB6.7060106@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: martin rudalics <rudalics@HIDDEN>
Message-id: <83vdaoewz5.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
	<87ocgh84b6.fsf@HIDDEN> <4BEEEFB6.7060106@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6192
Cc: stephen.berman@HIDDEN, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

> Date: Sat, 15 May 2010 21:02:14 +0200
> From: martin rudalics <rudalics@HIDDEN>
> Cc: 6192 <at> debbugs.gnu.org
> 
> Anyway: The recentering is a misbehavior which should not occur.

Why not?  What would you expect it to do instead?





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 19:02:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 15:02:25 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODMcz-0001mA-5M
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 15:02:25 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODMcw-0001m5-AR
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 15:02:23 -0400
Received: (qmail invoked by alias); 15 May 2010 19:02:18 -0000
Received: from 62-47-43-51.adsl.highway.telekom.at (EHLO [62.47.43.51])
	[62.47.43.51]
	by mail.gmx.net (mp057) with SMTP; 15 May 2010 21:02:18 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/SGCNaYT7S3OwvxJ0EiDHDCAJcgLAq1mgBF+8Hnj
	X69Artup8/QRwv
Message-ID: <4BEEEFB6.7060106@HIDDEN>
Date: Sat, 15 May 2010 21:02:14 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN>
	<83tyqa2nyn.fsf@HIDDEN>	<87wrv6i2ft.fsf@HIDDEN>
	<837hn5fz7c.fsf@HIDDEN>	<87wrv5897x.fsf@HIDDEN>
	<4BEED16D.2090305@HIDDEN> <87ocgh84b6.fsf@HIDDEN>
In-Reply-To: <87ocgh84b6.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

 > Did you also have eldoc-mode enabled in your .emacs file (I only get the
 > two line echo area in that case)?

I always had - how else can you do it?  But the problems only started
after the series of changes following the release of Emacs 22.  I was
mainly annoyed by the continuous resizing of the echo area, especially
when eldoc tries to analyze doc-strings or comments.  So I first wrote
some workaround until I found out that customizing the faces suffices.

Meanwhile I show eldoc-strings either in the header-line, a separate
window, or in a tooltip - but none of them work satisfactorily :-(

Anyway: The recentering is a misbehavior which should not occur.  Does
Emacs restore the old situation when the echo area sizes back?

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 17:45:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 13:45:22 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODLQQ-0001Dp-2x
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 13:45:22 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODLQN-0001Dj-2r
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 13:45:20 -0400
Received: (qmail invoked by alias); 15 May 2010 17:45:18 -0000
Received: from i59F5762F.versanet.de (EHLO escher.home) [89.245.118.47]
	by mail.gmx.net (mp027) with SMTP; 15 May 2010 19:45:18 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+oLzlt5auo/wva5U2EXH3pTjtPLnoY9dCU1WQRz6
	lAujPeFVSzCFD5
Received: by escher.home (Postfix, from userid 1000)
	id CD02F10279; Sat, 15 May 2010 19:26:05 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <4BEED16D.2090305@HIDDEN>
Date: Sat, 15 May 2010 19:26:05 +0200
In-Reply-To: <4BEED16D.2090305@HIDDEN> (martin rudalics's message of "Sat, 15
	May 2010 18:53:01 +0200")
Message-ID: <87ocgh84b6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Sat, 15 May 2010 18:53:01 +0200 martin rudalics <rudalics@HIDDEN> wrote:

>> I don't know, but I stepped through eldoc.el with Edebug and when it got
>> to the point where the message is put into the echo area, this is what
>> it showed:
>>
>> Result: #("let: (VARLIST BODY...)" 0 3 (face font-lock-function-name-face) 14 21 (face eldoc-highlight-function-argument))
>>
>> This string made the echo area expand to two lines, but in normal
>> (non-edebug) execution it of course shows up just as "let: (VARLIST
>> BODY...)" (with fontification).  So if the propertized string is the
>> source of the expanded echo area, the question becomes why it does not
>> shrink again.  (And there's still the question of why this only happens
>> when eldoc-mode is enabled in my init file...)
>
> I had some problem with eldoc-mode after the latest greater bunch of
> changes.  There was some bold face that caused my echo area occupy two
> lines occasionally.  IIRC customizing `eldoc-highlight-function-argument'
> and/or `eldoc-highlight-unsupplied-argument' to something non-bold
> solved the problem for me.

You're right: I changed eldoc-highlight-function-argument to italic and
the recentering stopped.

Did you also have eldoc-mode enabled in your .emacs file (I only get the
two line echo area in that case)?

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 17:34:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 13:34:14 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODLFd-00018Q-Qo
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 13:34:14 -0400
Received: from mtaout23.012.net.il ([80.179.55.175])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1ODLFb-00018I-7z
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 13:34:12 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0L2H003001PL1O00@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sat, 15 May 2010 20:33:24 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.84.217]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2H00M5Q23KTIC0@HIDDEN>;
	Sat, 15 May 2010 20:33:23 +0300 (IDT)
Date: Sat, 15 May 2010 20:33:20 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <87pr0x84bj.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Message-id: <83wrv5dq8v.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <83y6fldsi1.fsf@HIDDEN>
	<87pr0x84bj.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: 6192 <at> debbugs.gnu.org
> Date: Sat, 15 May 2010 19:25:52 +0200
> 
> > No, that cannot be it.  The properties should be completely evaluated
> > and converted to appropriate faces, by the time the message is
> > displayed.  What gets displayed is just "let: (VARLIST BODY...)", and
> > unless you have some strange fonts installed, I don't see how this can
> > require more than one line of the echo area.
> 
> It's the bold face, as Martin observed; see my followup to his reply.

If it's the bold face, then I see no bug here.

Do you see a change if you customize resize-mini-windows to t?

> Yes, why does bold face do it

Maybe it has some character that is too large for a single line?

> (and again, why only when eldoc-mode is enabled in .emacs)?

No clue.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 17:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 13:25:55 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODL7b-00014Q-HT
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 13:25:55 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODL7Z-00014L-Mq
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 13:25:55 -0400
Received: (qmail invoked by alias); 15 May 2010 17:25:53 -0000
Received: from i59F5762F.versanet.de (EHLO escher.home) [89.245.118.47]
	by mail.gmx.net (mp022) with SMTP; 15 May 2010 19:25:53 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX190SwE2NOh0Q86JV0yQ9iUEHtW5BofPvL90zpmGHx
	xQNlhREJyU2+rq
Received: by escher.home (Postfix, from userid 1000)
	id C0EC010279; Sat, 15 May 2010 19:25:52 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN> <83y6fldsi1.fsf@HIDDEN>
Date: Sat, 15 May 2010 19:25:52 +0200
In-Reply-To: <83y6fldsi1.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 May
	2010 19:44:38 +0300")
Message-ID: <87pr0x84bj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Sat, 15 May 2010 19:44:38 +0300 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: 6192 <at> debbugs.gnu.org
>> Date: Sat, 15 May 2010 17:40:02 +0200
>> 
>> > When that happens, do you see any message in *Messages* besides the
>> > one displayed in the echo area?
>> 
>> Nothing in *Messages* (not even the Eldoc message -- it is deliberately
>> suppressed by eldoc-message).
>
> Can you hack eldoc to un-suppress that, and then see?

I did, and the message after one M-v and recentering is this:

let: (VARLIST BODY...) [2 times]

[...]
>> Result: #("let: (VARLIST BODY...)" 0 3 (face font-lock-function-name-face) 14 21 (face eldoc-highlight-function-argument))
>> 
>> This string made the echo area expand to two lines, but in normal
>> (non-edebug) execution it of course shows up just as "let: (VARLIST
>> BODY...)" (with fontification).  So if the propertized string is the
>> source of the expanded echo area
>
> No, that cannot be it.  The properties should be completely evaluated
> and converted to appropriate faces, by the time the message is
> displayed.  What gets displayed is just "let: (VARLIST BODY...)", and
> unless you have some strange fonts installed, I don't see how this can
> require more than one line of the echo area.

It's the bold face, as Martin observed; see my followup to his reply.

>> the question becomes why it does not shrink again.
>
> Once expanded, Emacs shrinks the echo area lazily (see the value of
> resize-mini-windows).  So this is normal.
>
> We should concentrate on why the echo area is expanded.

Yes, why does bold face do it (and again, why only when eldoc-mode is
enabled in .emacs)?

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 16:53:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 12:53:06 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODKbq-0000rK-A8
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 12:53:06 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <rudalics@HIDDEN>) id 1ODKbn-0000qx-JP
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 12:53:04 -0400
Received: (qmail invoked by alias); 15 May 2010 16:53:03 -0000
Received: from 62-47-43-51.adsl.highway.telekom.at (EHLO [62.47.43.51])
	[62.47.43.51]
	by mail.gmx.net (mp046) with SMTP; 15 May 2010 18:53:03 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1/eK5Q1Wr/ee8/vl0hL/sopZbMERKtgGWSlOczpEM
	645RTn329iIivv
Message-ID: <4BEED16D.2090305@HIDDEN>
Date: Sat, 15 May 2010 18:53:01 +0200
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.21 (Windows/20090302)
MIME-Version: 1.0
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN>
	<83tyqa2nyn.fsf@HIDDEN>	<87wrv6i2ft.fsf@HIDDEN>
	<837hn5fz7c.fsf@HIDDEN> <87wrv5897x.fsf@HIDDEN>
In-Reply-To: <87wrv5897x.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 6192
Cc: Eli Zaretskii <eliz@HIDDEN>, 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

 > I don't know, but I stepped through eldoc.el with Edebug and when it got
 > to the point where the message is put into the echo area, this is what
 > it showed:
 >
 > Result: #("let: (VARLIST BODY...)" 0 3 (face font-lock-function-name-face) 14 21 (face eldoc-highlight-function-argument))
 >
 > This string made the echo area expand to two lines, but in normal
 > (non-edebug) execution it of course shows up just as "let: (VARLIST
 > BODY...)" (with fontification).  So if the propertized string is the
 > source of the expanded echo area, the question becomes why it does not
 > shrink again.  (And there's still the question of why this only happens
 > when eldoc-mode is enabled in my init file...)

I had some problem with eldoc-mode after the latest greater bunch of
changes.  There was some bold face that caused my echo area occupy two
lines occasionally.  IIRC customizing `eldoc-highlight-function-argument'
and/or `eldoc-highlight-unsupplied-argument' to something non-bold
solved the problem for me.

martin




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 16:46:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 12:46:11 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODKV8-0000oN-Rm
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 12:46:11 -0400
Received: from mtaout20.012.net.il ([80.179.55.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1ODKV6-0000oI-Hb
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 12:46:09 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0L2G00E00ZTG7M00@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sat, 15 May 2010 19:44:39 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.126.84.217]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2G009SGZUD1UE0@HIDDEN>;
	Sat, 15 May 2010 19:44:39 +0300 (IDT)
Date: Sat, 15 May 2010 19:44:38 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <87wrv5897x.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Message-id: <83y6fldsi1.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
	<87wrv5897x.fsf@HIDDEN>
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.3 (--)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: 6192 <at> debbugs.gnu.org
> Date: Sat, 15 May 2010 17:40:02 +0200
> 
> > When that happens, do you see any message in *Messages* besides the
> > one displayed in the echo area?
> 
> Nothing in *Messages* (not even the Eldoc message -- it is deliberately
> suppressed by eldoc-message).

Can you hack eldoc to un-suppress that, and then see?

> > In general, a single-line message should not resize the echo area.  If
> > the echo area is resized, then recentering you describe is a normal
> > reaction of the display engine.  So the question now is why the echo
> > area is enlarged to 2 lines.
> 
> I don't know, but I stepped through eldoc.el with Edebug and when it got
> to the point where the message is put into the echo area, this is what
> it showed:
> 
> Result: #("let: (VARLIST BODY...)" 0 3 (face font-lock-function-name-face) 14 21 (face eldoc-highlight-function-argument))
> 
> This string made the echo area expand to two lines, but in normal
> (non-edebug) execution it of course shows up just as "let: (VARLIST
> BODY...)" (with fontification).  So if the propertized string is the
> source of the expanded echo area

No, that cannot be it.  The properties should be completely evaluated
and converted to appropriate faces, by the time the message is
displayed.  What gets displayed is just "let: (VARLIST BODY...)", and
unless you have some strange fonts installed, I don't see how this can
require more than one line of the echo area.

> the question becomes why it does not shrink again.

Once expanded, Emacs shrinks the echo area lazily (see the value of
resize-mini-windows).  So this is normal.

We should concentrate on why the echo area is expanded.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 15:40:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 11:40:07 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODJTC-0000KV-Ht
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 11:40:06 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1ODJTA-0000K5-Ny
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 11:40:05 -0400
Received: (qmail invoked by alias); 15 May 2010 15:40:03 -0000
Received: from i59F5762F.versanet.de (EHLO escher.home) [89.245.118.47]
	by mail.gmx.net (mp022) with SMTP; 15 May 2010 17:40:03 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1+WADxnjhaWFCNZPw1ypExeyx0lqSehFKsp5jqSkg
	HFIubUqGs3+p/4
Received: by escher.home (Postfix, from userid 1000)
	id 2140310279; Sat, 15 May 2010 17:40:03 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN> <837hn5fz7c.fsf@HIDDEN>
Date: Sat, 15 May 2010 17:40:02 +0200
In-Reply-To: <837hn5fz7c.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 May
	2010 09:36:55 +0300")
Message-ID: <87wrv5897x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Sat, 15 May 2010 09:36:55 +0300 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Cc: 6192 <at> debbugs.gnu.org
>> Date: Fri, 14 May 2010 23:44:06 +0200
>> 
>> > Anyway, from what you say it sounds like the message displayed by
>> > eldoc-mode in the echo area, which causes redisplay, somehow makes
>> > Emacs think the window where you have the Lisp file needs to be
>> > recentered because point is in a line that is not visible enough.
>> 
>> Ah, your reference to the Eldoc message made me take another look, and I
>> think I've now found a pattern: the recentering appears to happen only
>> (and always) when the message is displayed, and then the minibuffer
>> expands to and remains at two lines, even though the message is a single
>> line.
>
> When that happens, do you see any message in *Messages* besides the
> one displayed in the echo area?

Nothing in *Messages* (not even the Eldoc message -- it is deliberately
suppressed by eldoc-message).

> In general, a single-line message should not resize the echo area.  If
> the echo area is resized, then recentering you describe is a normal
> reaction of the display engine.  So the question now is why the echo
> area is enlarged to 2 lines.

I don't know, but I stepped through eldoc.el with Edebug and when it got
to the point where the message is put into the echo area, this is what
it showed:

Result: #("let: (VARLIST BODY...)" 0 3 (face font-lock-function-name-face) 14 21 (face eldoc-highlight-function-argument))

This string made the echo area expand to two lines, but in normal
(non-edebug) execution it of course shows up just as "let: (VARLIST
BODY...)" (with fontification).  So if the propertized string is the
source of the expanded echo area, the question becomes why it does not
shrink again.  (And there's still the question of why this only happens
when eldoc-mode is enabled in my init file...)

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 15 May 2010 06:37:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 15 02:37:02 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ODAze-0004Tm-0O
	for submit <at> debbugs.gnu.org; Sat, 15 May 2010 02:37:02 -0400
Received: from mtaout23.012.net.il ([80.179.55.175])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1ODAzb-0004TL-Si
	for 6192 <at> debbugs.gnu.org; Sat, 15 May 2010 02:37:01 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0L2G004007EWQ800@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sat, 15 May 2010 09:36:58 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.127.206.56]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2G0044U7PL3J30@HIDDEN>;
	Sat, 15 May 2010 09:36:58 +0300 (IDT)
Date: Sat, 15 May 2010 09:36:55 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <87wrv6i2ft.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Message-id: <837hn5fz7c.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
	<87wrv6i2ft.fsf@HIDDEN>
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.7 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Cc: 6192 <at> debbugs.gnu.org
> Date: Fri, 14 May 2010 23:44:06 +0200
> 
> > Anyway, from what you say it sounds like the message displayed by
> > eldoc-mode in the echo area, which causes redisplay, somehow makes
> > Emacs think the window where you have the Lisp file needs to be
> > recentered because point is in a line that is not visible enough.
> 
> Ah, your reference to the Eldoc message made me take another look, and I
> think I've now found a pattern: the recentering appears to happen only
> (and always) when the message is displayed, and then the minibuffer
> expands to and remains at two lines, even though the message is a single
> line.

When that happens, do you see any message in *Messages* besides the
one displayed in the echo area?

In general, a single-line message should not resize the echo area.  If
the echo area is resized, then recentering you describe is a normal
reaction of the display engine.  So the question now is why the echo
area is enlarged to 2 lines.




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 14 May 2010 21:44:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 14 17:44:13 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OD2g0-00019S-7B
	for submit <at> debbugs.gnu.org; Fri, 14 May 2010 17:44:12 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1OD2fx-00019M-Mc
	for 6192 <at> debbugs.gnu.org; Fri, 14 May 2010 17:44:11 -0400
Received: (qmail invoked by alias); 14 May 2010 21:44:07 -0000
Received: from i59F55724.versanet.de (EHLO escher.home) [89.245.87.36]
	by mail.gmx.net (mp015) with SMTP; 14 May 2010 23:44:07 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX183Pawycns3OXP6KPopBjEIjx22cSSjiToe1yL/1a
	tF3rGitQmhhtOk
Received: by escher.home (Postfix, from userid 1000)
	id DFD05103D3; Fri, 14 May 2010 23:44:06 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83tyqa2nyn.fsf@HIDDEN>
Date: Fri, 14 May 2010 23:44:06 +0200
In-Reply-To: <83tyqa2nyn.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 15 May
	2010 00:05:52 +0300")
Message-ID: <87wrv6i2ft.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.1 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

On Sat, 15 May 2010 00:05:52 +0300 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Date: Fri, 14 May 2010 19:11:30 +0200
>> 
>> => This puts point at line 902 (at least here, with window-height 33),
>> which is at the bottom of the window as it should be -- but only for a
>> fraction of a second, and then point is recentered so that line 902 is
>> now in the middle of the window.
>
> I cannot reproduce this on MS-Windows.  In my case, M-v from the end
> of the buffer puts point on line 902, but it is the second line from
> the bottom of the window, not the first.  

Yes, my OP was inaccurate, M-v does put point on the penultimate line.
Sorry for the sloppiness.

>                                           And even if I then type C-n,
> point stays on the last line.  I see no recentering at all.

Maybe it's a GTK+ issue.  (I just checked and I don't see the
recentering when I start Emacs with -nw)

> Anyway, from what you say it sounds like the message displayed by
> eldoc-mode in the echo area, which causes redisplay, somehow makes
> Emacs think the window where you have the Lisp file needs to be
> recentered because point is in a line that is not visible enough.

Ah, your reference to the Eldoc message made me take another look, and I
think I've now found a pattern: the recentering appears to happen only
(and always) when the message is displayed, and then the minibuffer
expands to and remains at two lines, even though the message is a single
line.  When M-v puts point inside a string or on an empty line between
sexp's, then there is no recentering (and the minibuffer clears and
returns to one line).  That seems significant...

> Do you see the same problem in Emacs 23.2?

I don't have 23.2, but I do have GNU Emacs 23.1.91.4 (i686-pc-linux-gnu,
GTK+ Version 2.18.1) of 2010-01-28 on escher, and I observe the
recentering with this build as well.

Thanks for the feedback.

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 14 May 2010 21:05:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 14 17:05:59 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OD251-0000tF-5O
	for submit <at> debbugs.gnu.org; Fri, 14 May 2010 17:05:59 -0400
Received: from mtaout22.012.net.il ([80.179.55.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1OD24z-0000t2-Eo
	for 6192 <at> debbugs.gnu.org; Fri, 14 May 2010 17:05:57 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0L2F00B00H8JX800@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sat, 15 May 2010 00:05:56 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.127.206.56]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2F005F2H9VOON0@HIDDEN>;
	Sat, 15 May 2010 00:05:56 +0300 (IDT)
Date: Sat, 15 May 2010 00:05:56 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <878w7mjtml.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Message-id: <83sk5u2nyj.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN>
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.7 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Date: Fri, 14 May 2010 19:11:30 +0200
> 
> => This puts point at line 902 (at least here, with window-height 33),
> which is at the bottom of the window as it should be -- but only for a
> fraction of a second, and then point is recentered so that line 902 is
> now in the middle of the window.

I cannot reproduce this on MS-Windows.  In my case, M-v from the end
of the buffer puts point on line 902, but it is the second line from
the bottom of the window, not the first.  And even if I then type C-n,
point stays on the last line.  I see no recentering at all.

Anyway, from what you say it sounds like the message displayed by
eldoc-mode in the echo area, which causes redisplay, somehow makes
Emacs think the window where you have the Lisp file needs to be
recentered because point is in a line that is not visible enough.

Do you see the same problem in Emacs 23.2?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 14 May 2010 21:05:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 14 17:05:59 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OD250-0000tD-T8
	for submit <at> debbugs.gnu.org; Fri, 14 May 2010 17:05:59 -0400
Received: from mtaout22.012.net.il ([80.179.55.172])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1OD24y-0000t2-0L
	for 6192 <at> debbugs.gnu.org; Fri, 14 May 2010 17:05:57 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0L2F00B00H8JX800@HIDDEN> for
	6192 <at> debbugs.gnu.org; Sat, 15 May 2010 00:05:52 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.127.206.56]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2F005Q2H9RSFK0@HIDDEN>;
	Sat, 15 May 2010 00:05:52 +0300 (IDT)
Date: Sat, 15 May 2010 00:05:52 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <878w7mjtml.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Message-id: <83tyqa2nyn.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN>
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.7 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Date: Fri, 14 May 2010 19:11:30 +0200
> 
> => This puts point at line 902 (at least here, with window-height 33),
> which is at the bottom of the window as it should be -- but only for a
> fraction of a second, and then point is recentered so that line 902 is
> now in the middle of the window.

I cannot reproduce this on MS-Windows.  In my case, M-v from the end
of the buffer puts point on line 902, but it is the second line from
the bottom of the window, not the first.  And even if I then type C-n,
point stays on the last line.  I see no recentering at all.

Anyway, from what you say it sounds like the message displayed by
eldoc-mode in the echo area, which causes redisplay, somehow makes
Emacs think the window where you have the Lisp file needs to be
recentered because point is in a line that is not visible enough.

Do you see the same problem in Emacs 23.2?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 14 May 2010 18:07:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 14 14:07:54 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OCzIf-0007Uh-Ko
	for submit <at> debbugs.gnu.org; Fri, 14 May 2010 14:07:54 -0400
Received: from mail.gmx.net ([213.165.64.20])
	by debbugs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1OCzIc-0007Ua-3O
	for 6192 <at> debbugs.gnu.org; Fri, 14 May 2010 14:07:52 -0400
Received: (qmail invoked by alias); 14 May 2010 18:07:45 -0000
Received: from i59F55724.versanet.de (EHLO escher.home) [89.245.87.36]
	by mail.gmx.net (mp013) with SMTP; 14 May 2010 20:07:45 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1/3MNVNxPj3UBl5CQVD76yG3SIbIAAW4DAthNGsCp
	QQGy6Z5VOI7aMv
Received: by escher.home (Postfix, from userid 1000)
	id C694E102BA; Fri, 14 May 2010 20:07:46 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
References: <878w7mjtml.fsf@HIDDEN> <83wrv62x1j.fsf@HIDDEN>
Date: Fri, 14 May 2010 20:07:46 +0200
In-Reply-To: <83wrv62x1j.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 14 May
	2010 20:49:44 +0300")
Message-ID: <874oiajr0t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-Spam-Score: -3.2 (---)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.2 (---)

On Fri, 14 May 2010 20:49:44 +0300 Eli Zaretskii <eliz@HIDDEN> wrote:

>> From: Stephen Berman <stephen.berman@HIDDEN>
>> Date: Fri, 14 May 2010 19:11:30 +0200
>> Cc: 
>> 
>> 1. Let ~/.emacs consist of the following line:
>> (add-hook 'emacs-lisp-mode-hook 'turn-on-eldoc-mode)
>> 
>> 2. Start Emacs with the above init-file.
>> 
>> 3. Visit an Emacs lisp file that's long enough to scroll a number of
>> screens up and down, e.g. lisp/abbrev.el from the Emacs source
>> directory.
>> 
>> 4. Type `M->' (end-of-buffer).
>> 
>> 5. Type 'M-v' (scroll-down-command)
>> 
>> => This puts point at line 902 (at least here, with window-height 33),
>> which is at the bottom of the window as it should be -- but only for a
>> fraction of a second, and then point is recentered so that line 902 is
>> now in the middle of the window.
>
> Could it be that the last line uses some characters or some faces that
> cause the line to be only partially visible, when it is the last line
> of the window?

I don't think so.  First, I think this happens with any file that's long
enough.  Second, the last line of abbrev.el is empty (EOB), and after
step 4, the last line of the file is completely visible, and two or
three lines above the bottom of the window; this is typical.  And third,
as I reported, this doesn't only happen at the bottom of the file, nor
does it always happen there: for instance, my normal Emacs window-height
is 57, and with this height and the above recipe, I see the recenter not
after the first M-v but after the second one.  Very peculiar...

Steve Berman




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at 6192 <at> debbugs.gnu.org:


Received: (at 6192) by debbugs.gnu.org; 14 May 2010 17:49:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 14 13:49:51 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OCz1D-0007Nz-CI
	for submit <at> debbugs.gnu.org; Fri, 14 May 2010 13:49:51 -0400
Received: from mtaout23.012.net.il ([80.179.55.175])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <eliz@HIDDEN>) id 1OCz1B-0007Ns-9P
	for 6192 <at> debbugs.gnu.org; Fri, 14 May 2010 13:49:50 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0L2F002007YFYN00@HIDDEN> for
	6192 <at> debbugs.gnu.org; Fri, 14 May 2010 20:49:45 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([77.127.206.56]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0L2F000EF86WRL90@HIDDEN>;
	Fri, 14 May 2010 20:49:45 +0300 (IDT)
Date: Fri, 14 May 2010 20:49:44 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#6192: 24.0.50; eldoc-mode: unexpected recentering
In-reply-to: <878w7mjtml.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stephen Berman <stephen.berman@HIDDEN>
Message-id: <83wrv62x1j.fsf@HIDDEN>
References: <878w7mjtml.fsf@HIDDEN>
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: 6192
Cc: 6192 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.7 (-)

> From: Stephen Berman <stephen.berman@HIDDEN>
> Date: Fri, 14 May 2010 19:11:30 +0200
> Cc: 
> 
> 1. Let ~/.emacs consist of the following line:
> (add-hook 'emacs-lisp-mode-hook 'turn-on-eldoc-mode)
> 
> 2. Start Emacs with the above init-file.
> 
> 3. Visit an Emacs lisp file that's long enough to scroll a number of
> screens up and down, e.g. lisp/abbrev.el from the Emacs source
> directory.
> 
> 4. Type `M->' (end-of-buffer).
> 
> 5. Type 'M-v' (scroll-down-command)
> 
> => This puts point at line 902 (at least here, with window-height 33),
> which is at the bottom of the window as it should be -- but only for a
> fraction of a second, and then point is recentered so that line 902 is
> now in the middle of the window.

Could it be that the last line uses some characters or some faces that
cause the line to be only partially visible, when it is the last line
of the window?




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 May 2010 17:11:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 14 13:11:55 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OCyQU-00078T-VT
	for submit <at> debbugs.gnu.org; Fri, 14 May 2010 13:11:55 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1OCyQS-00078O-4F
	for submit <at> debbugs.gnu.org; Fri, 14 May 2010 13:11:53 -0400
Received: from lists.gnu.org ([199.232.76.165]:60922)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <stephen.berman@HIDDEN>) id 1OCyQP-00064U-9A
	for submit <at> debbugs.gnu.org; Fri, 14 May 2010 13:11:49 -0400
Received: from [140.186.70.92] (port=41230 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OCyQJ-0000Tq-5Q
	for bug-gnu-emacs@HIDDEN; Fri, 14 May 2010 13:11:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE,T_RP_MATCHES_RCVD,T_TO_NO_BRKTS_FREEMAIL
	autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1OCyQA-0001rH-An
	for bug-gnu-emacs@HIDDEN; Fri, 14 May 2010 13:11:37 -0400
Received: from mail.gmx.net ([213.165.64.20]:37399)
	by eggs.gnu.org with smtp (Exim 4.69)
	(envelope-from <stephen.berman@HIDDEN>) id 1OCyQ9-0001qG-Ve
	for bug-gnu-emacs@HIDDEN; Fri, 14 May 2010 13:11:34 -0400
Received: (qmail invoked by alias); 14 May 2010 17:11:31 -0000
Received: from i59F55724.versanet.de (EHLO escher.home) [89.245.87.36]
	by mail.gmx.net (mp032) with SMTP; 14 May 2010 19:11:31 +0200
X-Authenticated: #20778731
X-Provags-ID: V01U2FsdGVkX1/K9/gTPt/K12SbDwSvef8iWLBtN9DVTzxJx2ojxb
	VAnL5wha8q+FCB
Received: by escher.home (Postfix, from userid 1000)
	id 6BB46102BA; Fri, 14 May 2010 19:11:30 +0200 (CEST)
From: Stephen Berman <stephen.berman@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.50; eldoc-mode: unexpected recentering
Date: Fri, 14 May 2010 19:11:30 +0200
Message-ID: <878w7mjtml.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Y-GMX-Trusted: 0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.8 (----)

1. Let ~/.emacs consist of the following line:
(add-hook 'emacs-lisp-mode-hook 'turn-on-eldoc-mode)

2. Start Emacs with the above init-file.

3. Visit an Emacs lisp file that's long enough to scroll a number of
screens up and down, e.g. lisp/abbrev.el from the Emacs source
directory.

4. Type `M->' (end-of-buffer).

5. Type 'M-v' (scroll-down-command)

=> This puts point at line 902 (at least here, with window-height 33),
which is at the bottom of the window as it should be -- but only for a
fraction of a second, and then point is recentered so that line 902 is
now in the middle of the window.

On subsequent reiterations of M-v this recentering sometimes happens and
sometimes doesn't.  I haven't discovered a pattern (nor does it happen
the first time with all files, though it appears to be consistent within
the same file).

This recentering only happens when eldoc-mode is enabled from the mode
hook in the user init file, i.e., starting Emacs with -Q and evalling
the sexp in step 1, then doing steps 2-5, I do not observe the
recentering. 


In GNU Emacs 24.0.50.3 (i686-pc-linux-gnu, GTK+ Version 2.18.6)
 of 2010-05-12 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.10605000
configured using `configure  '--without-toolkit-scroll-bars''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t




Acknowledgement sent to Stephen Berman <stephen.berman@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6192; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 9 Jul 2017 21:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.